head	1.102;
access;
symbols
	netbsd-11-0-RC4:1.102
	netbsd-11-0-RC3:1.102
	netbsd-11-0-RC2:1.102
	netbsd-11-0-RC1:1.102
	perseant-exfatfs-base-20250801:1.102
	netbsd-11:1.102.0.4
	netbsd-11-base:1.102
	netbsd-10-1-RELEASE:1.94
	perseant-exfatfs-base-20240630:1.102
	perseant-exfatfs:1.102.0.2
	perseant-exfatfs-base:1.102
	netbsd-8-3-RELEASE:1.86
	netbsd-9-4-RELEASE:1.89.2.1
	netbsd-10-0-RELEASE:1.94
	netbsd-10-0-RC6:1.94
	netbsd-10-0-RC5:1.94
	netbsd-10-0-RC4:1.94
	netbsd-10-0-RC3:1.94
	netbsd-10-0-RC2:1.94
	netbsd-10-0-RC1:1.94
	netbsd-10:1.94.0.2
	netbsd-10-base:1.94
	netbsd-9-3-RELEASE:1.89.2.1
	cjep_sun2x-base1:1.91
	cjep_sun2x:1.91.0.4
	cjep_sun2x-base:1.91
	cjep_staticlib_x-base1:1.91
	netbsd-9-2-RELEASE:1.89.2.1
	cjep_staticlib_x:1.91.0.2
	cjep_staticlib_x-base:1.91
	netbsd-9-1-RELEASE:1.89.2.1
	phil-wifi-20200421:1.90
	phil-wifi-20200411:1.90
	is-mlppp:1.90.0.2
	is-mlppp-base:1.90
	phil-wifi-20200406:1.90
	netbsd-8-2-RELEASE:1.86
	netbsd-9-0-RELEASE:1.89.2.1
	netbsd-9-0-RC2:1.89.2.1
	netbsd-9-0-RC1:1.89.2.1
	phil-wifi-20191119:1.90
	netbsd-9:1.89.0.2
	netbsd-9-base:1.89
	phil-wifi-20190609:1.89
	netbsd-8-1-RELEASE:1.86
	netbsd-8-1-RC1:1.86
	pgoyette-compat-merge-20190127:1.86.10.1
	pgoyette-compat-20190127:1.89
	pgoyette-compat-20190118:1.89
	pgoyette-compat-1226:1.89
	pgoyette-compat-1126:1.89
	pgoyette-compat-1020:1.89
	pgoyette-compat-0930:1.89
	pgoyette-compat-0906:1.86
	netbsd-7-2-RELEASE:1.80
	pgoyette-compat-0728:1.86
	netbsd-8-0-RELEASE:1.86
	phil-wifi:1.86.0.12
	phil-wifi-base:1.86
	pgoyette-compat-0625:1.86
	netbsd-8-0-RC2:1.86
	pgoyette-compat-0521:1.86
	pgoyette-compat-0502:1.86
	pgoyette-compat-0422:1.86
	netbsd-8-0-RC1:1.86
	pgoyette-compat-0415:1.86
	pgoyette-compat-0407:1.86
	pgoyette-compat-0330:1.86
	pgoyette-compat-0322:1.86
	pgoyette-compat-0315:1.86
	netbsd-7-1-2-RELEASE:1.80
	pgoyette-compat:1.86.0.10
	pgoyette-compat-base:1.86
	netbsd-7-1-1-RELEASE:1.80
	matt-nb8-mediatek:1.86.0.8
	matt-nb8-mediatek-base:1.86
	perseant-stdc-iso10646:1.86.0.6
	perseant-stdc-iso10646-base:1.86
	netbsd-8:1.86.0.4
	netbsd-8-base:1.86
	prg-localcount2-base3:1.86
	prg-localcount2-base2:1.86
	prg-localcount2-base1:1.86
	prg-localcount2:1.86.0.2
	prg-localcount2-base:1.86
	pgoyette-localcount-20170426:1.86
	bouyer-socketcan-base1:1.86
	pgoyette-localcount-20170320:1.86
	netbsd-7-1:1.80.0.16
	netbsd-7-1-RELEASE:1.80
	netbsd-7-1-RC2:1.80
	netbsd-7-nhusb-base-20170116:1.80
	bouyer-socketcan:1.85.0.4
	bouyer-socketcan-base:1.85
	pgoyette-localcount-20170107:1.85
	netbsd-7-1-RC1:1.80
	pgoyette-localcount-20161104:1.85
	netbsd-7-0-2-RELEASE:1.80
	localcount-20160914:1.85
	netbsd-7-nhusb:1.80.0.14
	netbsd-7-nhusb-base:1.80
	pgoyette-localcount-20160806:1.85
	pgoyette-localcount-20160726:1.85
	pgoyette-localcount:1.85.0.2
	pgoyette-localcount-base:1.85
	netbsd-7-0-1-RELEASE:1.80
	netbsd-7-0:1.80.0.12
	netbsd-7-0-RELEASE:1.80
	netbsd-7-0-RC3:1.80
	netbsd-7-0-RC2:1.80
	netbsd-7-0-RC1:1.80
	netbsd-5-2-3-RELEASE:1.64.6.3
	netbsd-5-1-5-RELEASE:1.64.6.3
	netbsd-6-0-6-RELEASE:1.74
	netbsd-6-1-5-RELEASE:1.74
	netbsd-7:1.80.0.10
	netbsd-7-base:1.80
	yamt-pagecache-base9:1.80
	yamt-pagecache-tag8:1.74.6.1
	netbsd-6-1-4-RELEASE:1.74
	netbsd-6-0-5-RELEASE:1.74
	tls-earlyentropy:1.80.0.8
	tls-earlyentropy-base:1.80
	riastradh-xf86-video-intel-2-7-1-pre-2-21-15:1.80
	riastradh-drm2-base3:1.80
	netbsd-6-1-3-RELEASE:1.74
	netbsd-6-0-4-RELEASE:1.74
	netbsd-5-2-2-RELEASE:1.64.6.3
	netbsd-5-1-4-RELEASE:1.64.6.3
	netbsd-6-1-2-RELEASE:1.74
	netbsd-6-0-3-RELEASE:1.74
	netbsd-5-2-1-RELEASE:1.64.6.3
	netbsd-5-1-3-RELEASE:1.64.6.3
	netbsd-6-1-1-RELEASE:1.74
	riastradh-drm2-base2:1.80
	riastradh-drm2-base1:1.80
	riastradh-drm2:1.80.0.2
	riastradh-drm2-base:1.80
	netbsd-6-1:1.74.0.16
	netbsd-6-0-2-RELEASE:1.74
	netbsd-6-1-RELEASE:1.74
	khorben-n900:1.80.0.6
	netbsd-6-1-RC4:1.74
	netbsd-6-1-RC3:1.74
	agc-symver:1.80.0.4
	agc-symver-base:1.80
	netbsd-6-1-RC2:1.74
	netbsd-6-1-RC1:1.74
	yamt-pagecache-base8:1.76
	netbsd-5-2:1.64.6.3.0.6
	netbsd-6-0-1-RELEASE:1.74
	yamt-pagecache-base7:1.74
	netbsd-5-2-RELEASE:1.64.6.3
	netbsd-5-2-RC1:1.64.6.3
	matt-nb6-plus-nbase:1.74
	yamt-pagecache-base6:1.74
	netbsd-6-0:1.74.0.14
	netbsd-6-0-RELEASE:1.74
	netbsd-6-0-RC2:1.74
	tls-maxphys:1.74.0.12
	tls-maxphys-base:1.80
	matt-nb6-plus:1.74.0.10
	matt-nb6-plus-base:1.74
	netbsd-6-0-RC1:1.74
	yamt-pagecache-base5:1.74
	yamt-pagecache-base4:1.74
	netbsd-6:1.74.0.8
	netbsd-6-base:1.74
	netbsd-5-1-2-RELEASE:1.64.6.3
	netbsd-5-1-1-RELEASE:1.64.6.3
	yamt-pagecache-base3:1.74
	yamt-pagecache-base2:1.74
	yamt-pagecache:1.74.0.6
	yamt-pagecache-base:1.74
	cherry-xenmp:1.74.0.4
	cherry-xenmp-base:1.74
	bouyer-quota2-nbase:1.74
	bouyer-quota2:1.74.0.2
	bouyer-quota2-base:1.74
	matt-mips64-premerge-20101231:1.74
	matt-nb5-mips64-premerge-20101231:1.64.6.2.2.1.2.1
	matt-nb5-pq3:1.64.6.3.0.4
	matt-nb5-pq3-base:1.64.6.3
	netbsd-5-1:1.64.6.3.0.2
	netbsd-5-1-RELEASE:1.64.6.3
	netbsd-5-1-RC4:1.64.6.3
	matt-nb5-mips64-k15:1.64.6.2.2.1.2.1
	netbsd-5-1-RC3:1.64.6.3
	netbsd-5-1-RC2:1.64.6.3
	netbsd-5-1-RC1:1.64.6.3
	netbsd-5-0-2-RELEASE:1.64.6.2.2.1
	matt-nb5-mips64-premerge-20091211:1.64.6.2.2.1
	matt-premerge-20091211:1.73
	matt-nb5-mips64-u2-k2-k4-k7-k8-k9:1.64.6.2.2.1
	matt-nb4-mips64-k7-u2a-k9b:1.64.6.2.2.1
	matt-nb5-mips64-u1-k1-k5:1.64.6.2.2.1
	matt-nb5-mips64:1.64.6.2.2.1.0.2
	netbsd-5-0-1-RELEASE:1.64.6.2.2.1
	jym-xensuspend-nbase:1.68
	netbsd-5-0:1.64.6.2.0.2
	netbsd-5-0-RELEASE:1.64.6.2
	netbsd-5-0-RC4:1.64.6.2
	netbsd-5-0-RC3:1.64
	netbsd-5-0-RC2:1.64
	jym-xensuspend:1.64.0.8
	jym-xensuspend-base:1.68
	netbsd-5-0-RC1:1.64
	netbsd-5:1.64.0.6
	netbsd-5-base:1.64
	matt-mips64-base2:1.64
	matt-mips64:1.61.0.14
	netbsd-4-0-1-RELEASE:1.61
	wrstuden-revivesa-base-3:1.64
	wrstuden-revivesa-base-2:1.64
	wrstuden-fixsa-newbase:1.61
	wrstuden-revivesa-base-1:1.64
	yamt-pf42-base4:1.64
	yamt-pf42-base3:1.64
	hpcarm-cleanup-nbase:1.64
	yamt-pf42-baseX:1.64
	yamt-pf42-base2:1.64
	wrstuden-revivesa:1.64.0.4
	wrstuden-revivesa-base:1.64
	yamt-pf42:1.64.0.2
	yamt-pf42-base:1.64
	mjf-devfs2:1.62.0.8
	mjf-devfs2-base:1.64
	keiichi-mipv6:1.62.0.6
	keiichi-mipv6-base:1.64
	mjf-devfs:1.62.0.4
	mjf-devfs-base:1.62
	matt-armv6-nbase:1.64
	matt-armv6-prevmlocking:1.61
	wrstuden-fixsa-base-1:1.61
	netbsd-4-0:1.61.0.12
	netbsd-4-0-RELEASE:1.61
	cube-autoconf:1.62.0.2
	cube-autoconf-base:1.62
	netbsd-4-0-RC5:1.61
	netbsd-4-0-RC4:1.61
	netbsd-4-0-RC3:1.61
	netbsd-4-0-RC2:1.61
	netbsd-4-0-RC1:1.61
	matt-armv6:1.61.0.10
	matt-armv6-base:1.62
	matt-mips64-base:1.61
	hpcarm-cleanup:1.61.0.8
	hpcarm-cleanup-base:1.62
	netbsd-3-1-1-RELEASE:1.54
	netbsd-3-0-3-RELEASE:1.54
	wrstuden-fixsa:1.61.0.6
	wrstuden-fixsa-base:1.61
	abandoned-netbsd-4-base:1.61
	abandoned-netbsd-4:1.61.0.2
	netbsd-3-1:1.54.0.6
	netbsd-3-1-RELEASE:1.54
	netbsd-3-0-2-RELEASE:1.54
	netbsd-3-1-RC4:1.54
	netbsd-3-1-RC3:1.54
	netbsd-3-1-RC2:1.54
	netbsd-3-1-RC1:1.54
	netbsd-4:1.61.0.4
	netbsd-4-base:1.61
	netbsd-3-0-1-RELEASE:1.54
	netbsd-3-0:1.54.0.4
	netbsd-3-0-RELEASE:1.54
	netbsd-3-0-RC6:1.54
	netbsd-3-0-RC5:1.54
	netbsd-3-0-RC4:1.54
	netbsd-3-0-RC3:1.54
	netbsd-3-0-RC2:1.54
	netbsd-3-0-RC1:1.54
	netbsd-2-0-3-RELEASE:1.52
	netbsd-2-1:1.52.0.6
	netbsd-2-1-RELEASE:1.52
	netbsd-2-1-RC6:1.52
	netbsd-2-1-RC5:1.52
	netbsd-2-1-RC4:1.52
	netbsd-2-1-RC3:1.52
	netbsd-2-1-RC2:1.52
	netbsd-2-1-RC1:1.52
	netbsd-2-0-2-RELEASE:1.52
	netbsd-3:1.54.0.2
	netbsd-3-base:1.54
	netbsd-2-0-1-RELEASE:1.52
	netbsd-2:1.52.0.4
	netbsd-2-base:1.52
	netbsd-2-0-RELEASE:1.52
	netbsd-2-0-RC5:1.52
	netbsd-2-0-RC4:1.52
	netbsd-2-0-RC3:1.52
	netbsd-2-0-RC2:1.52
	netbsd-2-0-RC1:1.52
	netbsd-2-0:1.52.0.2
	netbsd-2-0-base:1.52
	netbsd-1-6-PATCH002-RELEASE:1.24.2.1
	netbsd-1-6-PATCH002:1.24.2.1
	netbsd-1-6-PATCH002-RC4:1.24.2.1
	netbsd-1-6-PATCH002-RC3:1.24.2.1
	netbsd-1-6-PATCH002-RC2:1.24.2.1
	netbsd-1-6-PATCH002-RC1:1.24.2.1
	netbsd-1-6-PATCH001:1.24.2.1
	netbsd-1-6-PATCH001-RELEASE:1.24.2.1
	netbsd-1-6-PATCH001-RC3:1.24.2.1
	netbsd-1-6-PATCH001-RC2:1.24.2.1
	netbsd-1-6-PATCH001-RC1:1.24.2.1
	fvdl_fs64_base:1.35
	netbsd-1-6-RELEASE:1.24.2.1
	netbsd-1-6-RC3:1.24.2.1
	netbsd-1-6-RC2:1.24.2.1
	netbsd-1-6-RC1:1.24.2.1
	netbsd-1-6:1.24.0.2
	netbsd-1-6-base:1.24
	netbsd-1-5-PATCH003:1.13.10.4
	netbsd-1-5-PATCH002:1.13.10.1
	netbsd-1-5-PATCH001:1.13.10.1
	netbsd-1-5-RELEASE:1.13.10.1
	netbsd-1-5-BETA2:1.13.10.1
	netbsd-1-5-BETA:1.13
	netbsd-1-4-PATCH003:1.13
	netbsd-1-5-ALPHA2:1.13
	netbsd-1-5:1.13.0.10
	netbsd-1-5-base:1.13
	minoura-xpg4dl:1.13.0.8
	minoura-xpg4dl-base:1.13
	netbsd-1-4-PATCH002:1.13
	wrstuden-devbsize-19991221:1.13
	wrstuden-devbsize:1.13.0.6
	wrstuden-devbsize-base:1.13
	comdex-fall-1999:1.13.0.4
	comdex-fall-1999-base:1.13
	netbsd-1-4-PATCH001:1.13
	netbsd-1-4-RELEASE:1.13
	netbsd-1-4:1.13.0.2
	netbsd-1-4-base:1.13
	netbsd-1-3-PATCH003:1.3.2.5
	netbsd-1-3-PATCH003-CANDIDATE2:1.3.2.5
	netbsd-1-3-PATCH003-CANDIDATE1:1.3.2.5
	netbsd-1-3-PATCH003-CANDIDATE0:1.3.2.5
	netbsd-1-3-PATCH002:1.3.2.5
	netbsd-1-3-PATCH001:1.3.2.5
	netbsd-1-3-RELEASE:1.3.2.5
	netbsd-1-3-BETA:1.3.2.5
	netbsd-1-3:1.3.0.2
	netbsd-1-3-base:1.3
	netbsd-1-2-PATCH001:1.2
	netbsd-1-2-RELEASE:1.2
	netbsd-1-2-BETA:1.2
	netbsd-1-2-base:1.2
	netbsd-1-2:1.2.0.2
	netbsd-1-1-PATCH001:1.1.1.1
	netbsd-1-1-RELEASE:1.1.1.1
	netbsd-1-1:1.1.1.1.0.4
	netbsd-1-1-base:1.1.1.1
	netbsd-1-0-PATCH06:1.1.1.1
	netbsd-1-0-PATCH05:1.1.1.1
	netbsd-1-0-PATCH04:1.1.1.1
	netbsd-1-0-PATCH03:1.1.1.1
	netbsd-1-0-PATCH02:1.1.1.1
	netbsd-1-0-PATCH1:1.1.1.1
	netbsd-1-0-PATCH0:1.1.1.1
	netbsd-1-0-RELEASE:1.1.1.1
	netbsd-1-0:1.1.1.1.0.2
	netbsd-1-0-base:1.1.1.1
	cgd-940829:1.1.1.1
	cgd:1.1.1;
locks; strict;
comment	@# @;


1.102
date	2024.04.22.14.41.25;	author nia;	state Exp;
branches;
next	1.101;
commitid	i6E7BJGfw4rNi97F;

1.101
date	2024.04.09.15.17.22;	author nia;	state Exp;
branches;
next	1.100;
commitid	JExbVLp22BtkVt5F;

1.100
date	2024.01.30.10.24.39;	author martin;	state Exp;
branches;
next	1.99;
commitid	Dm1MxPZbB9ifysWE;

1.99
date	2024.01.29.15.56.49;	author martin;	state Exp;
branches;
next	1.98;
commitid	1G8htDbujyT9qmWE;

1.98
date	2023.11.08.13.02.47;	author christos;	state Exp;
branches;
next	1.97;
commitid	7UaSTN7ng3fa6OLE;

1.97
date	2023.11.08.12.58.04;	author christos;	state Exp;
branches;
next	1.96;
commitid	seK1IAFAa3Kh4OLE;

1.96
date	2023.06.10.16.08.41;	author lukem;	state Exp;
branches;
next	1.95;
commitid	L7Nqq2gB42uTYpsE;

1.95
date	2023.06.10.14.11.08;	author lukem;	state Exp;
branches;
next	1.94;
commitid	0m6Vcy4CuZx2kpsE;

1.94
date	2022.08.21.07.10.03;	author lukem;	state Exp;
branches;
next	1.93;
commitid	0Ie3kKNxYR5noIQD;

1.93
date	2021.09.25.08.54.30;	author maya;	state Exp;
branches;
next	1.92;
commitid	BGRNzDrS01VoBjaD;

1.92
date	2021.09.18.01.47.07;	author christos;	state Exp;
branches;
next	1.91;
commitid	NKw39S32w03lsn9D;

1.91
date	2020.05.18.21.19.34;	author jmcneill;	state Exp;
branches;
next	1.90;
commitid	LEg8TRe3NPw0DL8C;

1.90
date	2019.10.02.11.16.00;	author maya;	state Exp;
branches;
next	1.89;
commitid	7L8j32uFc906EhFB;

1.89
date	2018.09.28.15.04.20;	author martin;	state Exp;
branches
	1.89.2.1;
next	1.88;
commitid	A2ezIOQlAKwBMSTA;

1.88
date	2018.09.26.18.20.59;	author martin;	state Exp;
branches;
next	1.87;
commitid	7br3I8aeJM3ZVDTA;

1.87
date	2018.09.26.15.07.24;	author martin;	state Exp;
branches;
next	1.86;
commitid	64P1WkKJU2YqRCTA;

1.86
date	2017.01.21.19.37.46;	author jklos;	state Exp;
branches
	1.86.10.1
	1.86.12.1;
next	1.85;
commitid	1rg3mEbrav3h2SCz;

1.85
date	2015.12.19.22.29.23;	author christos;	state Exp;
branches
	1.85.2.1
	1.85.4.1;
next	1.84;
commitid	4DiY9Mc7uz3YPBNy;

1.84
date	2015.05.27.15.18.29;	author martin;	state Exp;
branches;
next	1.83;
commitid	tHSChVhAN4FN46ny;

1.83
date	2015.05.27.09.26.46;	author martin;	state Exp;
branches;
next	1.82;
commitid	ikFDEndNWprP74ny;

1.82
date	2015.05.26.15.46.01;	author martin;	state Exp;
branches;
next	1.81;
commitid	AHfXJz2ab935gYmy;

1.81
date	2015.04.26.09.21.36;	author martin;	state Exp;
branches;
next	1.80;
commitid	iMcxKP3zgCoP55jy;

1.80
date	2013.02.07.16.27.41;	author christos;	state Exp;
branches;
next	1.79;

1.79
date	2013.02.07.01.24.04;	author christos;	state Exp;
branches;
next	1.78;

1.78
date	2013.02.07.01.07.41;	author christos;	state Exp;
branches;
next	1.77;

1.77
date	2013.02.06.01.01.12;	author christos;	state Exp;
branches;
next	1.76;

1.76
date	2013.01.16.21.11.05;	author christos;	state Exp;
branches;
next	1.75;

1.75
date	2013.01.16.16.01.05;	author christos;	state Exp;
branches;
next	1.74;

1.74
date	2010.08.15.07.27.33;	author mrg;	state Exp;
branches
	1.74.6.1
	1.74.12.1;
next	1.73;

1.73
date	2009.12.10.02.22.57;	author uebayasi;	state Exp;
branches;
next	1.72;

1.72
date	2009.12.05.15.56.25;	author cegger;	state Exp;
branches;
next	1.71;

1.71
date	2009.12.03.12.44.57;	author apb;	state Exp;
branches;
next	1.70;

1.70
date	2009.11.30.16.13.23;	author uebayasi;	state Exp;
branches;
next	1.69;

1.69
date	2009.09.12.11.01.55;	author apb;	state Exp;
branches;
next	1.68;

1.68
date	2009.04.11.15.09.32;	author apb;	state Exp;
branches;
next	1.67;

1.67
date	2009.04.03.22.36.35;	author perry;	state Exp;
branches;
next	1.66;

1.66
date	2009.04.02.23.06.16;	author tsutsui;	state Exp;
branches;
next	1.65;

1.65
date	2009.04.02.18.06.54;	author perry;	state Exp;
branches;
next	1.64;

1.64
date	2008.03.16.07.02.22;	author lukem;	state Exp;
branches
	1.64.6.1
	1.64.8.1;
next	1.63;

1.63
date	2008.03.16.04.39.19;	author lukem;	state Exp;
branches;
next	1.62;

1.62
date	2007.11.12.15.06.45;	author jmmv;	state Exp;
branches
	1.62.6.1
	1.62.8.1;
next	1.61;

1.61
date	2006.01.28.19.01.23;	author apb;	state Exp;
branches
	1.61.10.1;
next	1.60;

1.60
date	2006.01.08.10.10.03;	author apb;	state Exp;
branches;
next	1.59;

1.59
date	2006.01.04.15.03.39;	author apb;	state Exp;
branches;
next	1.58;

1.58
date	2006.01.03.18.31.09;	author apb;	state Exp;
branches;
next	1.57;

1.57
date	2006.01.03.16.40.16;	author apb;	state Exp;
branches;
next	1.56;

1.56
date	2006.01.03.15.42.42;	author apb;	state Exp;
branches;
next	1.55;

1.55
date	2005.10.21.02.41.14;	author jmc;	state Exp;
branches;
next	1.54;

1.54
date	2004.07.23.15.11.26;	author erh;	state Exp;
branches;
next	1.53;

1.53
date	2004.04.18.19.52.32;	author dsl;	state Exp;
branches;
next	1.52;

1.52
date	2004.02.19.02.54.51;	author dyoung;	state Exp;
branches;
next	1.51;

1.51
date	2004.02.06.11.38.57;	author lukem;	state Exp;
branches;
next	1.50;

1.50
date	2004.01.30.08.39.50;	author lukem;	state Exp;
branches;
next	1.49;

1.49
date	2004.01.29.08.32.51;	author lukem;	state Exp;
branches;
next	1.48;

1.48
date	2004.01.03.02.38.58;	author lukem;	state Exp;
branches;
next	1.47;

1.47
date	2003.12.29.03.13.25;	author lukem;	state Exp;
branches;
next	1.46;

1.46
date	2003.12.19.22.25.54;	author jmc;	state Exp;
branches;
next	1.45;

1.45
date	2003.11.25.07.19.46;	author dyoung;	state Exp;
branches;
next	1.44;

1.44
date	2003.10.16.14.20.20;	author dsl;	state Exp;
branches;
next	1.43;

1.43
date	2003.09.30.05.07.40;	author lukem;	state Exp;
branches;
next	1.42;

1.42
date	2003.08.22.19.08.47;	author dsl;	state Exp;
branches;
next	1.41;

1.41
date	2003.07.03.06.43.02;	author lukem;	state Exp;
branches;
next	1.40;

1.40
date	2003.04.07.17.22.19;	author perry;	state Exp;
branches;
next	1.39;

1.39
date	2003.04.06.19.41.03;	author perry;	state Exp;
branches;
next	1.38;

1.38
date	2003.01.21.19.07.05;	author erh;	state Exp;
branches;
next	1.37;

1.37
date	2003.01.06.20.30.42;	author wiz;	state Exp;
branches;
next	1.36;

1.36
date	2003.01.03.15.26.32;	author lukem;	state Exp;
branches;
next	1.35;

1.35
date	2002.12.25.23.47.32;	author lukem;	state Exp;
branches;
next	1.34;

1.34
date	2002.12.25.23.44.06;	author lukem;	state Exp;
branches;
next	1.33;

1.33
date	2002.12.23.06.52.48;	author lukem;	state Exp;
branches;
next	1.32;

1.32
date	2002.12.21.15.54.49;	author lukem;	state Exp;
branches;
next	1.31;

1.31
date	2002.12.19.12.33.10;	author lukem;	state Exp;
branches;
next	1.30;

1.30
date	2002.12.19.06.21.45;	author lukem;	state Exp;
branches;
next	1.29;

1.29
date	2002.12.17.01.59.32;	author lukem;	state Exp;
branches;
next	1.28;

1.28
date	2002.12.12.08.51.49;	author lukem;	state Exp;
branches;
next	1.27;

1.27
date	2002.11.26.06.22.23;	author lukem;	state Exp;
branches;
next	1.26;

1.26
date	2002.11.25.23.29.54;	author lukem;	state Exp;
branches;
next	1.25;

1.25
date	2002.07.23.09.02.46;	author lukem;	state Exp;
branches;
next	1.24;

1.24
date	2002.05.19.13.24.22;	author lukem;	state Exp;
branches
	1.24.2.1;
next	1.23;

1.23
date	2002.04.13.12.47.10;	author lukem;	state Exp;
branches;
next	1.22;

1.22
date	2002.04.08.17.18.23;	author tron;	state Exp;
branches;
next	1.21;

1.21
date	2002.04.08.15.39.33;	author tron;	state Exp;
branches;
next	1.20;

1.20
date	2002.04.01.15.50.30;	author bjh21;	state Exp;
branches;
next	1.19;

1.19
date	2002.03.01.07.21.14;	author lukem;	state Exp;
branches;
next	1.18;

1.18
date	2002.02.27.10.51.47;	author lukem;	state Exp;
branches;
next	1.17;

1.17
date	2002.02.26.20.03.08;	author he;	state Exp;
branches;
next	1.16;

1.16
date	2001.11.24.03.08.27;	author thorpej;	state Exp;
branches;
next	1.15;

1.15
date	2001.01.22.07.03.44;	author jmc;	state Exp;
branches;
next	1.14;

1.14
date	2000.10.01.22.49.05;	author thorpej;	state Exp;
branches;
next	1.13;

1.13
date	99.02.13.07.59.45;	author itohy;	state Exp;
branches
	1.13.10.1;
next	1.12;

1.12
date	98.12.03.18.17.45;	author frueauf;	state Exp;
branches;
next	1.11;

1.11
date	98.11.18.11.09.12;	author he;	state Exp;
branches;
next	1.10;

1.10
date	98.06.27.08.27.36;	author ross;	state Exp;
branches;
next	1.9;

1.9
date	98.06.15.14.45.06;	author lukem;	state Exp;
branches;
next	1.8;

1.8
date	97.11.27.11.05.25;	author jonathan;	state Exp;
branches;
next	1.7;

1.7
date	97.11.09.20.47.32;	author chopps;	state Exp;
branches;
next	1.6;

1.6
date	97.11.05.22.08.25;	author scottr;	state Exp;
branches;
next	1.5;

1.5
date	97.10.28.17.29.48;	author veego;	state Exp;
branches;
next	1.4;

1.4
date	97.10.28.13.35.24;	author veego;	state Exp;
branches;
next	1.3;

1.3
date	97.02.18.06.03.48;	author mikel;	state Exp;
branches
	1.3.2.1;
next	1.2;

1.2
date	96.05.20.19.11.05;	author gwr;	state Exp;
branches;
next	1.1;

1.1
date	94.08.29.15.21.02;	author cgd;	state Exp;
branches
	1.1.1.1;
next	;

1.89.2.1
date	2019.11.17.07.04.33;	author martin;	state Exp;
branches;
next	;
commitid	fmdLX9M716eYMaLB;

1.86.10.1
date	2018.09.30.01.45.04;	author pgoyette;	state Exp;
branches;
next	;
commitid	SQ44grEPCeKPh4UA;

1.86.12.1
date	2019.06.10.21.42.29;	author christos;	state Exp;
branches;
next	1.86.12.2;
commitid	jtc8rnCzWiEEHGqB;

1.86.12.2
date	2020.04.13.07.45.31;	author martin;	state Exp;
branches;
next	;
commitid	X01YhRUPVUDaec4C;

1.85.2.1
date	2017.03.20.06.52.07;	author pgoyette;	state Exp;
branches;
next	;
commitid	jjw7cAwgyKq7RfKz;

1.85.4.1
date	2017.04.21.16.51.13;	author bouyer;	state Exp;
branches;
next	;
commitid	dUG7nkTKALCadqOz;

1.74.6.1
date	2013.01.23.00.04.10;	author yamt;	state Exp;
branches;
next	1.74.6.2;

1.74.6.2
date	2014.05.22.12.01.31;	author yamt;	state Exp;
branches;
next	;
commitid	yqlfOuaAhYmASwBx;

1.74.12.1
date	2013.02.25.00.24.29;	author tls;	state Exp;
branches;
next	;

1.64.6.1
date	2009.04.04.17.22.48;	author snj;	state Exp;
branches;
next	1.64.6.2;

1.64.6.2
date	2009.04.07.20.48.40;	author snj;	state Exp;
branches
	1.64.6.2.2.1;
next	1.64.6.3;

1.64.6.3
date	2009.06.06.22.10.12;	author bouyer;	state Exp;
branches;
next	;

1.64.6.2.2.1
date	2009.06.06.22.10.49;	author bouyer;	state Exp;
branches
	1.64.6.2.2.1.2.1;
next	;

1.64.6.2.2.1.2.1
date	2010.04.21.05.20.40;	author matt;	state Exp;
branches;
next	;

1.64.8.1
date	2009.05.13.19.17.50;	author jym;	state Exp;
branches;
next	;

1.62.6.1
date	2008.03.24.07.14.39;	author keiichi;	state Exp;
branches;
next	;

1.62.8.1
date	2008.04.03.13.54.13;	author mjf;	state Exp;
branches;
next	1.62.8.2;

1.62.8.2
date	2008.10.05.20.10.32;	author mjf;	state dead;
branches;
next	;

1.61.10.1
date	2008.01.09.01.28.13;	author matt;	state Exp;
branches;
next	1.61.10.2;

1.61.10.2
date	2008.03.23.00.21.02;	author matt;	state Exp;
branches;
next	;

1.24.2.1
date	2002.07.23.09.16.32;	author lukem;	state Exp;
branches;
next	;

1.13.10.1
date	2000.11.01.02.08.44;	author tv;	state Exp;
branches;
next	1.13.10.2;

1.13.10.2
date	2002.02.23.18.27.47;	author he;	state Exp;
branches;
next	1.13.10.3;

1.13.10.3
date	2002.02.26.20.07.40;	author he;	state Exp;
branches;
next	1.13.10.4;

1.13.10.4
date	2002.02.27.20.45.26;	author he;	state Exp;
branches;
next	;

1.3.2.1
date	97.10.28.23.32.40;	author mellon;	state Exp;
branches;
next	1.3.2.2;

1.3.2.2
date	97.10.29.00.15.20;	author mellon;	state Exp;
branches;
next	1.3.2.3;

1.3.2.3
date	97.11.06.22.16.13;	author mellon;	state Exp;
branches;
next	1.3.2.4;

1.3.2.4
date	97.11.09.21.05.11;	author mellon;	state Exp;
branches;
next	1.3.2.5;

1.3.2.5
date	97.11.28.08.48.31;	author mellon;	state Exp;
branches;
next	;

1.1.1.1
date	94.08.29.15.21.03;	author cgd;	state Exp;
branches
	1.1.1.1.2.1;
next	;

1.1.1.1.2.1
date	94.08.29.15.21.03;	author cgd;	state dead;
branches;
next	1.1.1.1.2.2;

1.1.1.1.2.2
date	94.08.29.15.21.04;	author cgd;	state Exp;
branches;
next	;


desc
@@


1.102
log
@Move MIPS N64 compat out of {base,debug}32 into {base,debug}64

martin requested separation by ABI and it doesn't make much sense
to have 64-bit binaries in a set called 32.
@
text
@#!/bin/sh
#
# $NetBSD: maketars,v 1.101 2024/04/09 15:17:22 nia Exp $
#
# Make release tar files for some or all lists.  Usage:
# maketars [-b] [-x] [-i installdir] [-a arch] [-m machine] [-s setsdir]
#	[-M metalog] [-N etcdir] [-F setlistsdir] [-d destdir]
#	[-t tardir] [-U] [setname ...]
#
# The default sets are "base base32 base64 comp debug debug32 debug64 dtb
# etc games gpufw man manhtml misc rescue tests text"
# The X sets are "xbase xcomp xdebug xetc xfont xserver"
#
# If '-i installdir' is given, copy the given sets to installdir
# (using pax -rw ...) instead of creating tar files.
# In this case, remove "etc", and "xetc" from the list of default sets.
#

prog="${0##*/}"
rundir="$(dirname "$0")" # ${0%/*} isn't good enough when there's no "/"
. "${rundir}/sets.subr"

# set defaults
lists=
tars="${RELEASEDIR}"
dest="${DESTDIR}"
metalog=
installdir=
etcdir=
setlistdir=
timestamp=
setfilesonly=false
quiet=false
preserve="-pe"

# mtree(8) keys to skip (exclude) in the generated /etc/mtree/sets.* files.
# Note: sets contain sha256 so that keyword is not listed here.
skipkeys=cksum,md5,rmd160,sha1,sha384,sha512,time

usage()
{
	cat 1>&2 <<USAGE
Usage: ${prog} [-L base,x] [-b] [-x] [-i idir] [-a arch] [-m machine]
	    [-s setsdir] [-S] [-M metalog] [-N etcdir] [-F setlistdir]
	    [-d dest] [-t targetdir] [setname ...]
	-L base,x	Make specified lists
	-b		Make both netbsd and x11 lists
	-x		Only make x11 lists
		[Default: make netbsd lists]
	-i idir		Install sets to idir instead of creating tar files
	-a arch		Set arch (e.g, m68k, mipseb, mipsel, powerpc) [${MACHINE_ARCH}]
	-m machine	Set machine (e.g, amiga, i386, macppc) [${MACHINE}]
	-q		Quiet operation
	-s setsdir	Directory to find sets [${setsdir}]
	-F setlistdir	output directory for generated set lists [${dest}/etc/mtree/]
	-S		Exit after creating set files ${dest}/etc/mtree/set.*
	-M metalog	metalog file
	-N etcdir	etc dir for metalog use [${dest}/etc]
	-U		do not preserve file permissions (with -i ..)
	-d dest		\${DESTDIR}	[${dest}]
	-t targetdir	\${RELEASEDIR}	[${tars}]
	-T timestamp	Timestamp to set for all the files in the tar.
	[setname ...]	Sets to build 	[${lists}]
USAGE
	exit 1
}

msg()
{
	$quiet || echo $*
}

umask 022
# handle args
while getopts L:bxi:a:m:qs:F:SM:N:Ud:t:T: ch; do
	case ${ch} in
	L)
		save_IFS="${IFS}"
		IFS=,
		for _list in ${OPTARG}; do
			case $_list in
			base)	lists="${lists} ${nlists}" ;;
			x)	lists="${lists} ${xlists}" ;;
			esac
		done
		IFS="${save_IFS}"
		;;
	# backward compat
	b)
		lists="${nlists} ${xlists}"
		;;
	x)
		lists="${xlists}"
		;;
	i)
		installdir="${OPTARG}"
		;;
	a)
		MACHINE_ARCH="${OPTARG}"
		MACHINE_CPU="$(arch_to_cpu "${OPTARG}")"
		;;
	m)
		MACHINE="${OPTARG}"
		;;
	q)
		quiet=true
		;;
	s)
		setsdir="${OPTARG}"
		;;
	F)
		setlistdir="${OPTARG}"
		;;
	S)
		setfilesonly=true
		;;
	M)
		metalog="${OPTARG}"
		;;
	N)
		etcdir="${OPTARG}"
		;;
	U)
		preserve=
		;;
	d)
		dest="${OPTARG}"
		;;
	t)
		tars="${OPTARG}"
		;;
	T)
		timestamp="--timestamp $OPTARG"
		;;
	*)
		usage
		;;
	esac
done
shift $((${OPTIND} - 1))
if [ -n "${installdir}" ]; then	# if -i, remove etc + xetc from the default list
	lists="$(echo ${lists} | ${SED} -e 's/ etc / /;s/ xetc / /;')"
fi
if [ -n "$*" ]; then
	lists="$*"
fi

if [ -z "${tars}" -a -z "${installdir}" ]; then
	echo >&2 "${prog}: \${RELEASEDIR} must be set, or -i must be used"
	exit 1
fi

if [ -z "${dest}" ]; then
	echo >&2 "${prog}: \${DESTDIR} must be set"
	exit 1
fi
: ${etcdir:="${dest}/etc"}

SDIR="$(${MKTEMP} -d "/tmp/${prog}.XXXXXX")"
TMPFILES=

: ${setlistdir:="${dest}/etc/mtree"}

cleanup()
{
	es=$?
	rm -rf "${SDIR}" ${TMPFILES}
	trap - 0
	exit ${es}
}
trap cleanup 0 2 3 13		# EXIT INT QUIT PIPE

#
# build the setfiles
#

for setname in ${lists}; do
	msg "Creating flist.${setname}"
	${HOST_SH} "${setsdir}/makeflist" -a "${MACHINE_ARCH}" -m "${MACHINE}" \
	    -s "${setsdir}" "${setname}" > "${SDIR}/flist.${setname}" \
	    || exit 1
	if [ ! -s "${SDIR}/flist.${setname}" ]; then
		echo >&2 "makeflist output is empty for ${setname}"
		exit 1
	fi
	msg "Creating set.${setname}"
	if [ -n "${metalog}" ]; then
		${AWK} -f "${rundir}/getdirs.awk" "${SDIR}/flist.${setname}" \
		    > "${SDIR}/flist.${setname}.full" \
		    || exit 1
		(
			echo "/set uname=root gname=wheel"
			${AWK} -f "${rundir}/join.awk" \
				"${SDIR}/flist.${setname}.full" "${metalog}"
			echo "./etc/mtree/set.${setname} type=file mode=0444"
		) | ${MTREE} -CS -k all -R "${skipkeys}" -N "${etcdir}" \
		    > "${setlistdir}/set.${setname}" \
		    || exit 1
		# We deliberately do not add set.${setname} to ${metalog},
		# because we depend on it as an input.
	else
		${MTREE} -c -p "${dest}" -k all \
		    -R "${skipkeys}" \
		    -N "${etcdir}" -O "${SDIR}/flist.${setname}" \
		    | ${MTREE} -C -k all -N "${etcdir}" \
		    | ${SED} -e "s:^./etc/mtree/set.${setname}.*\$:./etc/mtree/set.${setname} type=file mode=0444:" \
		    > "${setlistdir}/set.${setname}"
	fi
done
if ${setfilesonly}; then		# exit after creating the set lists
	exit 0
fi

runpax() {
	local s="$1"
	shift
	(cd "${dest}" && 
	    ${PAX} -dOw ${timestamp} -N"${etcdir}" -M "$@@" < "${setlistdir}/set.${s}")
}

#
# now build the tarfiles
#

GZIP=-9n		# for pax -z
export GZIP
es=0

for setname in ${lists:-${nlists}}; do
	out="${setname}.${TAR_SUFF:-tgz}"
	if [ -n "${installdir}" ]; then
		msg "Copying set ${setname}"
		runpax "${setname}" -r ${preserve} "${installdir}"
	else
		if [ -n "${metalog}" -a "${tars}/${out}" -nt "${metalog}" ]
		then
			msg "${out} is up to date"
			continue
		fi
		msg "Creating ${out}"
		rm -f "${tars}/${out}"
		TMPFILES="${TMPFILES} ${tars}/${out}.tmp"
		runpax "${setname}" -z --use-compress-program \
		    ${COMPRESS_PROGRAM} > "${tars}/${out}.tmp" &&
		mv "${tars}/${out}.tmp" "${tars}/${out}"
	fi
	es=$((${es} + $?))
done
if [ ${es} -gt 255 ]; then
	es=255
fi
exit ${es}
@


1.101
log
@Add new sets: base32, debug32, manhtml

- base32 contains (when MKCOMPAT=yes) shared libraries for 32-bit
  compatibility, previously included in base

- debug32 contains (when MKCOMPAT=yes) debug symbols and static libraries
  containing debug symbols for 32-bit compatiblity, previously included
  in debug

- manhtml contains (when MKHTML=yes) the HTML files previously included
  in 'man', which are of limited utility without third-party software.

The motivation for this change is to be able to easily exclude sets
from CD-ROM images that go over the size limit without xz compression
(which many NetBSD platforms struggle to extract at acceptable speeds).
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.100 2024/01/30 10:24:39 martin Exp $
d10 2
a11 2
# The default sets are "base base32 comp debug debug32 dtb etc games gpufw
# man manhtml misc rescue tests text"
@


1.100
log
@Fix previous, use sed to fix up the set.${set} line in non-METAFILE mode
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.99 2024/01/29 15:56:49 martin Exp $
d10 2
a11 1
# The default sets are "base comp debug dtb etc games gpufw man misc rescue tests text"
@


1.99
log
@When building in priviledged mode, remove the entry for the output file
from etc/mtree/set.* - it may exist and contain stale data.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.98 2023/11/08 13:02:47 christos Exp $
d202 1
a202 1
		    -R "${skipkeys},set.${setname}" \
d205 1
@


1.98
log
@More conservative umask
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.97 2023/11/08 12:58:04 christos Exp $
d201 2
a202 1
		${MTREE} -c -p "${dest}" -k all -R "${skipkeys}" \
@


1.97
log
@Set the file creation mask consistently because the files these scripts
create can become part of an iso image.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.96 2023/06/10 16:08:41 lukem Exp $
d72 1
a72 1
umask 002
@


1.96
log
@sets: enhance MAKEVERBOSE support

Add more messages for various sets operations.
Add ${_MKMSG_CREATE} to bsd.own.mk.

Enhance maketars to be a bit more verbose even with -q,
to make it more obvious why certain operations may be slow.
May help debugging PR 47562.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.95 2023/06/10 14:11:08 lukem Exp $
d72 1
@


1.95
log
@maketars: add comments for skipped mtree keywords

Reorder skipkeys alphabetically and add comment explaining
the purpose and why sha256 is not part of the variable.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.94 2022/08/21 07:10:03 lukem Exp $
d176 1
d184 1
a184 1
	${setfilesonly} && msg "Creating ${setlistdir}/set.${setname}"
@


1.94
log
@Deprecate extsrc/, EXTSRCSRCDIR, MKEXTSRC

Remove support for building extsrc/:
1. Makefile: remove do-extsrc target.
2. build.sh: remove options -y and -Y extsrcdir.
3. distrib/sets: remove support for extsrc in various tools
   including the options -L ext and -y, and the extsrc sets.
4. doc/BUILDING.mdoc: remove docs for extsrc/, EXTSRCSRCDIR, MKEXTSRC (etc)
5. bsd.own.mk and various Makefiles: remove support for extsrc/,
   EXTSRCSRCDIR, MKEXTSRC.

As proposed on tech-kern and tech-userlevel on 2022-01-07
and followed up on 2022-08-21.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.93 2021/09/25 08:54:30 maya Exp $
a32 1
skipkeys=time,md5,sha1,sha384,sha512,rmd160,cksum
d35 4
@


1.93
log
@Move DRM-driver firmware from base to its own set, gpufw

This set is only installed on amd64,i386,evbarm.
This set is installed on minimal installs and on install media, in
case someone needs it for basic driver functionality.

Comments:
Switched to a single MK tunable for it - that is probably unneeded.

An upcoming DRM update will include even fatter firmware, and we'd
like to minimize the impact of it.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.92 2021/09/18 01:47:07 christos Exp $
a11 1
# The extsrc sets are "extbase extcomp extetc"
d15 1
a15 1
# In this case, remove "etc", "xetc", and "extetc" from the list of default sets.
d39 1
a39 1
Usage: ${prog} [-L base,x,ext] [-b] [-x] [-y] [-i idir] [-a arch] [-m machine]
d42 1
a42 1
	-L base,x,ext	Make specified lists
a45 2
	-y		Only make extsrc lists
		[Default: make netbsd lists]
d70 1
a70 1
while getopts L:bxyi:a:m:qs:F:SM:N:Ud:t:T: ch; do
a78 1
			ext)	lists="${lists} ${extlists}" ;;
a89 3
	y)
		lists="${extlists}"
		;;
d136 2
a137 2
if [ -n "${installdir}" ]; then	# if -i, remove etc + xetc + extetc from the default list
	lists="$(echo ${lists} | ${SED} -e 's/ etc / /;s/ xetc / /;s/ extetc / /')"
@


1.92
log
@Patch the build script and toolchain to allow passing through
HOST_CPPFLAGS, HOST_CXXFLAGS, but not LIBRARY_PATH because it breaks
the build. These variables are necessary to support building NetBSD
from a GNU Guix or NixOS host, where /usr/include, /lib, and all
but /bin/sh do not exist.  In many cases, support for HOST_CPPFLAGS
was incomplete. From Ryan Sundberg
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.91 2020/05/18 21:19:34 jmcneill Exp $
d10 1
a10 1
# The default sets are "base comp debug dtb etc games man misc rescue tests text"
@


1.91
log
@Separate devicetree .dts -> .dtb building from kernel builds. They are now
part of a separate set, "dtb.tgz", and only built when MKDTB=yes. This
defaults to yes for earmv[67]* and aarch64, and no everywhere else.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.90 2019/10/02 11:16:00 maya Exp $
d169 1
a169 1
	/bin/rm -rf "${SDIR}" ${TMPFILES}
@


1.90
log
@Split out /rescue to its own set and adapt installers/images to add it.

This is meant to make updates safer: if something goes wrong with updating
base, we still have the old, standalone /rescue to recover from.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.89 2018/09/28 15:04:20 martin Exp $
d10 1
a10 1
# The default sets are "base comp debug etc games man misc rescue tests text"
@


1.89
log
@Prepare for .tar.xz sets
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.88 2018/09/26 18:20:59 martin Exp $
d10 1
a10 1
# The default sets are "base comp debug etc games man misc tests text"
@


1.89.2.1
log
@Pull up following revision(s) (requested by maya in ticket #435):

	distrib/sets/maketars: revision 1.90
	usr.sbin/sysinst/arch/playstation2/md.h: revision 1.2
	usr.sbin/sysinst/arch/sandpoint/md.h: revision 1.3
	usr.sbin/sysinst/arch/evbppc/md.h: revision 1.3
	usr.sbin/sysinst/arch/hpcarm/md.h: revision 1.3
	usr.sbin/sysinst/arch/mvme68k/md.h: revision 1.3
	distrib/sun3/MakeInstTape: revision 1.3
	usr.sbin/sysinst/util.c: revision 1.33
	distrib/sets/lists/rescue/mi: revision 1.1
	distrib/sets/lists/base/rescue.sun2: file removal
	usr.sbin/sysinst/arch/zaurus/md.h: revision 1.3
	distrib/sets/lists/base/rescue.ad.m68k.shl: file removal
	distrib/sets/regpkgset: revision 1.13
	usr.sbin/sysinst/arch/i386/md.h: revision 1.7
	distrib/sets/lists/base/rescue.sparc: file removal
	distrib/notes/mvme68k/xfer: revision 1.19
	distrib/sets/sets.subr: revision 1.187
	distrib/common/bootimage/Makefile.bootimage: revision 1.22
	usr.sbin/sysinst/msg.mi.de: revision 1.16
	usr.sbin/sysinst/arch/atari/md.h: revision 1.3
	rescue/Makefile: revision 1.38
	distrib/sets/lists/base/rescue.macppc: file removal
	usr.sbin/sysinst/arch/arc/md.h: revision 1.4
	distrib/miniroot/install.sub: revision 1.49
	usr.sbin/sysinst/arch/acorn32/md.h: revision 1.3
	usr.sbin/sysinst/arch/x68k/md.h: revision 1.3
	usr.sbin/sysinst/arch/hpcmips/md.h: revision 1.3
	usr.sbin/sysinst/arch/bebox/md.h: revision 1.3
	usr.sbin/sysinst/arch/hpcsh/md.h: revision 1.2
	distrib/sets/lists/base/rescue.shark: file removal
	usr.sbin/sysinst/arch/emips/md.h: revision 1.5
	distrib/utils/embedded/mkimage: revision 1.70
	usr.sbin/sysinst/arch/shark/md.h: revision 1.3
	usr.sbin/sysinst/arch/pmax/md.h: revision 1.4
	usr.sbin/sysinst/arch/amiga/md.h: revision 1.4
	usr.sbin/sysinst/arch/hp300/md.h: revision 1.5
	rescue/list.ldconfig: file removal
	distrib/sets/lists/base/rescue.ad.m68k: file removal
	usr.sbin/sysinst/arch/prep/md.h: revision 1.4
	usr.sbin/sysinst/arch/cats/md.h: revision 1.4
	usr.sbin/sysinst/arch/amd64/md.h: revision 1.7
	usr.sbin/sysinst/msg.mi.es: revision 1.17
	usr.sbin/sysinst/msg.mi.fr: revision 1.20
	usr.sbin/sysinst/msg.mi.pl: revision 1.23
	distrib/sets/lists/base/rescue.i386: file removal
	usr.sbin/sysinst/arch/evbarm/md.h: revision 1.3
	distrib/sets/lists/base/rescue.vax: file removal
	distrib/amd64/uefi-installimage/Makefile.bootimage: revision 1.12
	usr.sbin/sysinst/arch/evbmips/md.h: revision 1.3
	distrib/sets/lists/base/rescue.mi: file removal
	distrib/sets/README: revision 1.14
	usr.sbin/sysinst/arch/sgimips/md.h: revision 1.4
	distrib/sets/lists/base/rescue.sparc64: file removal
	distrib/sets/lists/base/rescue.mi: revision 1.45
	distrib/sets/lists/base/rescue.mi: revision 1.46
	usr.sbin/sysinst/arch/ofppc/md.h: revision 1.4
	usr.sbin/sysinst/arch/cobalt/md.h: revision 1.4
	distrib/sets/lists/base/rescue.ad.arm: file removal
	distrib/sets/lists/base/rescue.mac68k: file removal
	usr.sbin/sysinst/defs.h: revision 1.45
	usr.sbin/sysinst/arch/landisk/md.h: revision 1.2
	distrib/notes/atari/xfer: revision 1.17
	etc/Makefile: revision 1.441
	usr.sbin/sysinst/msg.mi.en: revision 1.22
	distrib/sun2/MakeInstTape: revision 1.2

Remove ldconfig from /rescue, and mark it MI obsolete.
- ldconfig in netbsd refers to a.out binaries only. We've been ELF-only
  since NetBSD 2.0 or so, and having it in /rescue served little purpose
  even before that, as /rescue is standalone.
- Using MI obsolete to avoid the need for MD set lists where ldconfig
  is the sole entry

Mark /rescue/edlabel as MI-obsolete, so we can remove all remaining MD
rescue set list files.

Split out /rescue to its own set and adapt installers/images to add it.

This is meant to make updates safer: if something goes wrong with updating
base, we still have the old, standalone /rescue to recover from.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.89 2018/09/28 15:04:20 martin Exp $
d10 1
a10 1
# The default sets are "base comp debug etc games man misc rescue tests text"
@


1.88
log
@Revert previous - will pass the additional args via the environment.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.86 2017/01/21 19:37:46 jklos Exp $
d229 1
a229 1
	out="${setname}.tgz"
@


1.87
log
@Allow for ${COMPRESS_PROGRAM} to hold the name of a compressor program
plus additional arguments (like -9).
@
text
@d242 2
a243 2
		runpax "${setname}" | ${COMPRESS_PROGRAM} \
			> "${tars}/${out}.tmp" &&
@


1.86
log
@This fixes a bug where mtree would use names & IDs from the host system
instead of from the build.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.85 2015/12/19 22:29:23 christos Exp $
d242 2
a243 2
		runpax "${setname}" -z --use-compress-program \
		    ${COMPRESS_PROGRAM} > "${tars}/${out}.tmp" &&
@


1.86.12.1
log
@Sync with HEAD
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.89 2018/09/28 15:04:20 martin Exp $
d229 1
a229 1
	out="${setname}.${TAR_SUFF:-tgz}"
@


1.86.12.2
log
@Mostly merge changes from HEAD upto 20200411
@
text
@d3 1
a3 1
# $NetBSD$
d10 1
a10 1
# The default sets are "base comp debug etc games man misc rescue tests text"
@


1.86.10.1
log
@Ssync with HEAD
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.89 2018/09/28 15:04:20 martin Exp $
d229 1
a229 1
	out="${setname}.${TAR_SUFF:-tgz}"
@


1.85
log
@Obey MKREPRO_TIMESTAMP when creating sets (create all the files in the
sets with that date).
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.84 2015/05/27 15:18:29 martin Exp $
d204 3
a206 2
		    -O "${SDIR}/flist.${setname}" | ${MTREE} -C -k all > \
		    "${setlistdir}/set.${setname}"
@


1.85.4.1
log
@Sync with HEAD
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.86 2017/01/21 19:37:46 jklos Exp $
d204 2
a205 3
		    -N "${etcdir}" -O "${SDIR}/flist.${setname}" \
		    | ${MTREE} -C -k all -N "${etcdir}" \
		    > "${setlistdir}/set.${setname}"
@


1.85.2.1
log
@Sync with HEAD
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.86 2017/01/21 19:37:46 jklos Exp $
d204 2
a205 3
		    -N "${etcdir}" -O "${SDIR}/flist.${setname}" \
		    | ${MTREE} -C -k all -N "${etcdir}" \
		    > "${setlistdir}/set.${setname}"
@


1.84
log
@Simplify slightly
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.83 2015/05/27 09:26:46 martin Exp $
d31 1
d61 1
d73 1
a73 1
while getopts L:bxyi:a:m:qs:F:SM:N:Ud:t: ch; do
d134 3
d216 1
a216 1
	    ${PAX} -dOw -N"${etcdir}" -M "$@@" < "${setlistdir}/set.${s}")
@


1.83
log
@Instead of guessing wether to preserve permissions on install operations
from the METALOG variable, default them to yes and add a new argument -U to
switch preservation off.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.82 2015/05/26 15:46:01 martin Exp $
d124 1
a124 1
		preserve=""
@


1.82
log
@Do not try to preserve permissions when copying to the -i installdir
in the METALOG case (it makes no sense at all).
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.81 2015/04/26 09:21:36 martin Exp $
d8 1
a8 1
#	[-t tardir] [setname ...]
d34 1
d57 1
d71 1
a71 1
while getopts L:bxyi:a:m:qs:F:SM:N:d:t: ch; do
d123 3
a220 4
preserve=
if [ -n "${metalog}" ]; then
	preserve="-pe"
fi
@


1.81
log
@Add a new arg to override the value of the "setlistdir" variable (that is:
where the mtree spec files are created)
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.80 2013/02/07 16:27:41 christos Exp $
d216 5
d225 1
a225 1
		runpax "${setname}" -rpe "${installdir}"
@


1.80
log
@We always have a valid mtree file, so always specify -M
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.79 2013/02/07 01:24:04 christos Exp $
d7 2
a8 1
#	[-M metalog] [-N etcdir] [-d destdir] [-t tardir] [setname ...]
d30 1
d38 3
a40 2
Usage: ${prog} [-L base,x,ext] [-b] [-x] [-y] [-i idir] [-a arch] [-m machine] [-s setsdir] [-S]
	    [-M metalog] [-N etcdir] [-d dest] [-t targetdir] [setname ...]
d52 1
d69 1
a69 1
while getopts L:bxyi:a:m:qs:SM:N:d:t: ch; do
d109 3
d154 1
a154 1
setlistdir="${dest}/etc/mtree"
@


1.79
log
@merge d flag.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.78 2013/02/07 01:07:41 christos Exp $
d198 2
a199 2
	(cd "${dest}" && cut -d " " -f 1 "${setlistdir}/set.${s}" | 
	    ${PAX} -dOw -N"${etcdir}" ${metalog:+-M} "$@@")
@


1.78
log
@- use dest instead of DESTDIR
- factor out pax usage, and make it use only the first word from the sets
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.77 2013/02/06 01:01:12 christos Exp $
d199 1
a199 1
	    ${PAX} -Ow -N"${etcdir}" ${metalog:+-M} "$@@")
d223 1
a223 1
		runpax "${setname}" -dz --use-compress-program \
@


1.77
log
@Create full sets using mtree from the flists (not just filenames).
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.76 2013/01/16 21:11:05 christos Exp $
d186 1
a186 1
		${MTREE} -c -p "${DESTDIR}" -k all -R "${skipkeys}" \
d195 7
d213 1
a213 3
		( cd "${dest}"; \
		    ${PAX} -O -rwpe -d -N"${etcdir}" ${metalog:+-M} \
			"${installdir}" < "${setlistdir}/set.${setname}" )
d223 2
a224 5
		( cd "${dest}"; \
		    ${PAX} -O -w -d -z -N"${etcdir}" ${metalog:+-M} \
			--use-compress-program ${COMPRESS_PROGRAM} \
			< "${setlistdir}/set.${setname}" ) \
			> "${tars}/${out}.tmp" &&
@


1.76
log
@- add xdebug set
- document debug better
- fix previous debug fallout.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.75 2013/01/16 16:01:05 christos Exp $
d31 1
d170 1
a171 1
		${setfilesonly} && msg "Creating ${setlistdir}/set.${setname}"
d180 1
a180 1
		) | ${MTREE} -CS -k all -R time -N "${etcdir}" \
d185 4
a188 5
	elif ! cmp -s "${SDIR}/flist.${setname}" \
			"${setlistdir}/set.${setname}" >/dev/null 2>&1; then
		rm -f "${setlistdir}/set.${setname}"
		cp "${SDIR}/flist.${setname}" "${setlistdir}/set.${setname}" \
		    || exit 1
@


1.75
log
@Add a new "debug" set that gets built when ${MKDEBUG} is set. On evbarm:
-rw-r--r--  1 root  src   35806068 Jan 16 10:47 base.tgz
-rw-r--r--  1 root  src   57374069 Jan 16 10:48 comp.tgz
-rw-r--r--  1 root  src  101286193 Jan 16 10:49 debug.tgz
...
This allows always building the debugging code and libraries but not
installing it (although now it is placed in the default sets if ${MKDEBUG}
is set
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.74 2010/08/15 07:27:33 mrg Exp $
d10 1
a10 1
# The X sets are "xbase xcomp xetc xfont xserver"
@


1.74
log
@add new option to build/use tools/pigz for compressing sets.  for now
USE_PIGZGZIP defaults to "no".  (it depends upon local <pthread.h> and -lz.)

you can set it to "yes" on most modern platforms just fine.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.73 2009/12/10 02:22:57 uebayasi Exp $
d9 1
a9 1
# The default sets are "base comp etc games man misc tests text"
@


1.74.12.1
log
@resync with head
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.74 2010/08/15 07:27:33 mrg Exp $
d9 2
a10 2
# The default sets are "base comp debug etc games man misc tests text"
# The X sets are "xbase xcomp xdebug xetc xfont xserver"
a30 1
skipkeys=time,md5,sha1,sha384,sha512,rmd160,cksum
a168 1
	${setfilesonly} && msg "Creating ${setlistdir}/set.${setname}"
d170 1
d179 1
a179 1
		) | ${MTREE} -CS -k all -R "${skipkeys}" -N "${etcdir}" \
d184 5
a188 4
	else
		${MTREE} -c -p "${dest}" -k all -R "${skipkeys}" \
		    -O "${SDIR}/flist.${setname}" | ${MTREE} -C -k all > \
		    "${setlistdir}/set.${setname}"
a194 7
runpax() {
	local s="$1"
	shift
	(cd "${dest}" && 
	    ${PAX} -dOw -N"${etcdir}" -M "$@@" < "${setlistdir}/set.${s}")
}

d206 3
a208 1
		runpax "${setname}" -rpe "${installdir}"
d218 5
a222 2
		runpax "${setname}" -z --use-compress-program \
		    ${COMPRESS_PROGRAM} > "${tars}/${out}.tmp" &&
@


1.74.6.1
log
@sync with head
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.74 2010/08/15 07:27:33 mrg Exp $
d9 2
a10 2
# The default sets are "base comp debug etc games man misc tests text"
# The X sets are "xbase xcomp xdebug xetc xfont xserver"
@


1.74.6.2
log
@sync with head.

for a reference, the tree before this commit was tagged
as yamt-pagecache-tag8.

this commit was splitted into small chunks to avoid
a limitation of cvs.  ("Protocol error: too many arguments")
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.74.6.1 2013/01/23 00:04:10 yamt Exp $
a30 1
skipkeys=time,md5,sha1,sha384,sha512,rmd160,cksum
a168 1
	${setfilesonly} && msg "Creating ${setlistdir}/set.${setname}"
d170 1
d179 1
a179 1
		) | ${MTREE} -CS -k all -R "${skipkeys}" -N "${etcdir}" \
d184 5
a188 4
	else
		${MTREE} -c -p "${dest}" -k all -R "${skipkeys}" \
		    -O "${SDIR}/flist.${setname}" | ${MTREE} -C -k all > \
		    "${setlistdir}/set.${setname}"
a194 7
runpax() {
	local s="$1"
	shift
	(cd "${dest}" && 
	    ${PAX} -dOw -N"${etcdir}" -M "$@@" < "${setlistdir}/set.${s}")
}

d206 3
a208 1
		runpax "${setname}" -rpe "${installdir}"
d218 5
a222 2
		runpax "${setname}" -z --use-compress-program \
		    ${COMPRESS_PROGRAM} > "${tars}/${out}.tmp" &&
@


1.73
log
@sh(1) style.  No functional changes.
@
text
@d3 1
a3 1
# $NetBSD$
d220 1
@


1.72
log
@Fix syntax error on OSX 10.5.
While here, simplify handling with OPTARG using IFS.

developped with and 'go for it' dsl@@
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.71 2009/12/03 12:44:57 apb Exp $
d165 1
a165 1
	if ! [ -s "${SDIR}/flist.${setname}" ]; then
@


1.71
log
@Exit with a sensible error message if makeflist output is empty.
This should be better than an incomprehensible error message from
mtree.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.70 2009/11/30 16:13:23 uebayasi Exp $
d23 1
a23 1
lists="${nlists}"
d67 10
a76 9
		lists=$(
			for _list in $( echo ${OPTARG} | tr , ' ' ); do
				case $_list in
				base)	echo "${nlists}" ;;
				x)	echo "${xlists}" ;;
				ext)	echo "${extlists}" ;;
				esac
			done
		)
d202 1
a202 1
for setname in ${lists}; do
@


1.70
log
@Support "extsrc", externally added programs and libraries.  Users can write
their own reach-overs, cross-build, install, and get set files just like base
and X11 / X.org.  (These sets are not included as TNF releases.)
@
text
@d3 1
a3 1
# $NetBSD$
d164 4
@


1.69
log
@If there are errors in creating a ${set}.tgz tar file, then don't
just press on regardless.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.68 2009/04/11 15:09:32 apb Exp $
d11 1
d15 1
a15 1
# In this case, remove "etc" and "xetc" from the list of default sets.
d35 1
a35 1
Usage: ${prog} [-b] [-x] [-i idir] [-a arch] [-m machine] [-s setsdir] [-S]
d37 1
d41 2
d64 1
a64 1
while getopts bxi:a:m:qs:SM:N:d:t: ch; do
d66 12
d84 3
d124 2
a125 2
if [ -n "${installdir}" ]; then	# if -i, remove etc & xetc from the default list
	lists="$(echo ${lists} | ${SED} -e 's/ etc / /;s/ xetc / /')"
@


1.68
log
@In various places that manipulate mtree specs, use "mtree -CS" to sort.
Remove some now-redundant standalone sort commands.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.67 2009/04/03 22:36:35 perry Exp $
d143 2
a144 1
	    -s "${setsdir}" "${setname}" > "${SDIR}/flist.${setname}"
d148 2
a149 1
		    > "${SDIR}/flist.${setname}.full"
d156 2
a157 1
		    > "${setlistdir}/set.${setname}"
d163 2
a164 1
		cp "${SDIR}/flist.${setname}" "${setlistdir}/set.${setname}"
@


1.67
log
@Consistently use gzip with the -n flag so dates are not embedded.

Not tested on all platforms.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.66 2009/04/02 23:06:16 tsutsui Exp $
d147 1
a147 1
		    | ${SORT} -u > "${SDIR}/flist.${setname}.full"
d151 1
a151 2
				"${SDIR}/flist.${setname}.full" "${metalog}" \
				    | ${SORT} -u
d153 1
a153 1
		) | ${MTREE} -C -k all -R time -N "${etcdir}" \
@


1.66
log
@Explicitly sort entries on preparing set files from METALOG.
METALOG could have different order due to install(1) race
on parallel builds, and mtree(8) doesn't sort files.
Should fix inconsistent shared sets among builds as seen in
/pub/NetBSD-daily/netbsd-5/200904010000Z/shared/ and
/pub/NetBSD-daily/netbsd-5/200904010002Z/shared/ dirs.
Okay'ed by snj@@.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.65 2009/04/02 18:06:54 perry Exp $
d172 1
a172 1
GZIP=-9			# for pax -z
@


1.65
log
@Clean up set files to make them consistent using mtree. Patch from lukem.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.64 2008/03/16 07:02:22 lukem Exp $
d151 2
a152 1
				"${SDIR}/flist.${setname}.full" "${metalog}"
@


1.64
log
@Add '-q' to maketars and makesrctars, to quieten them.
Improve MAKEVERBOSE support.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.63 2008/03/16 04:39:19 lukem Exp $
d153 2
a154 1
		) > "${setlistdir}/set.${setname}"
@


1.64.8.1
log
@Sync with HEAD.

Third (and last) commit. See http://mail-index.netbsd.org/source-changes/2009/05/13/msg221222.html
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.68 2009/04/11 15:09:32 apb Exp $
d147 1
a147 1
		    > "${SDIR}/flist.${setname}.full"
d153 1
a153 2
		) | ${MTREE} -CS -k all -R time -N "${etcdir}" \
		    > "${setlistdir}/set.${setname}"
d170 1
a170 1
GZIP=-9n		# for pax -z
@


1.64.6.1
log
@Pull up following revision(s) (requested by tsutsui in ticket #654):
	distrib/sets/maketars: revision 1.66
Explicitly sort entries on preparing set files from METALOG.
METALOG could have different order due to install(1) race
on parallel builds, and mtree(8) doesn't sort files.
Should fix inconsistent shared sets among builds as seen in
/pub/NetBSD-daily/netbsd-5/200904010000Z/shared/ and
/pub/NetBSD-daily/netbsd-5/200904010002Z/shared/ dirs.
Okay'ed by snj@@.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.64 2008/03/16 07:02:22 lukem Exp $
d151 1
a151 2
				"${SDIR}/flist.${setname}.full" "${metalog}" \
				    | ${SORT} -u
@


1.64.6.2
log
@Back out ticket 654, as it exposes issues with mtree's handling
of hard links.
@
text
@d151 2
a152 1
				"${SDIR}/flist.${setname}.full" "${metalog}"
@


1.64.6.2.2.1
log
@Pull up following revision(s) (requested by snj in ticket #790):
	share/mk/bsd.lib.mk: revision 1.298
	share/mk/bsd.man.mk: revision 1.100
	share/mk/bsd.hostprog.mk: revision 1.55
	distrib/sets/maketars: revision 1.66
	share/zoneinfo/Makefile: revision 1.43
	share/mk/bsd.kmodule.mk: revision 1.19
	usr.bin/xinstall/xinstall.c: revisions 1.106 - 1.108 via patch
	share/mk/bsd.prog.mk: revision 1.241
	share/dict/Makefile: revision 1.17
	share/mk/bsd.README: revision 1.249
	distrib/common/parselist.awk: revision 1.16
	share/mk/bsd.links.mk: revision 1.34
Explicitly sort entries on preparing set files from METALOG.
METALOG could have different order due to install(1) race
on parallel builds, and mtree(8) doesn't sort files.
Should fix inconsistent shared sets among builds as seen in
/pub/NetBSD-daily/netbsd-5/200904010000Z/shared/ and
/pub/NetBSD-daily/netbsd-5/200904010002Z/shared/ dirs.
Okay'ed by snj@@.
Changes for installing with a metalog:
* When installing hard links and using a metalog, if -o, -g, -m, or -f
  args were explicitly specified on the command line, then believe them,
  but do not implicitly believe uname/gname/mode/flags from the file
  system.
* Output fields in the same order used by mtree.
Fix -Wshadow -Wcast-qual issues
Re-calculate size and digestresult after stripping, to ensure that
correct values appear in the metalog.
Add LINKSOWN, LINKSGRP, and LINKSMODE variables for use by bsd.links.mk
when installing hard links.  They have no effect except when using a
metalog, in which case the information is added to the metalog.  In
the future, these variables may be replaced by a method for explicitly
recording hard links in a metadata log.
Also change a few things that called ${INSTALL_LINK} without going
through bsd.links.mk.
Reviewed by perry and joerg.  This should fix PR 24457 and PR 41155.
@
text
@d3 1
a3 1
# $NetBSD$
d151 1
a151 2
				"${SDIR}/flist.${setname}.full" "${metalog}" \
				    | ${SORT} -u
@


1.64.6.2.2.1.2.1
log
@sync to netbsd-5
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.64.6.3 2009/06/06 22:10:12 bouyer Exp $
@


1.64.6.3
log
@Pull up following revision(s) (requested by snj in ticket #790):
	share/mk/bsd.lib.mk: revision 1.298
	share/mk/bsd.man.mk: revision 1.100
	share/mk/bsd.hostprog.mk: revision 1.55
	distrib/sets/maketars: revision 1.66
	share/zoneinfo/Makefile: revision 1.43
	share/mk/bsd.kmodule.mk: revision 1.19
	usr.bin/xinstall/xinstall.c: revisions 1.106 - 1.108 via patch
	share/mk/bsd.prog.mk: revision 1.241
	share/dict/Makefile: revision 1.17
	share/mk/bsd.README: revision 1.249
	distrib/common/parselist.awk: revision 1.16
	share/mk/bsd.links.mk: revision 1.34
Explicitly sort entries on preparing set files from METALOG.
METALOG could have different order due to install(1) race
on parallel builds, and mtree(8) doesn't sort files.
Should fix inconsistent shared sets among builds as seen in
/pub/NetBSD-daily/netbsd-5/200904010000Z/shared/ and
/pub/NetBSD-daily/netbsd-5/200904010002Z/shared/ dirs.
Okay'ed by snj@@.
Changes for installing with a metalog:
* When installing hard links and using a metalog, if -o, -g, -m, or -f
  args were explicitly specified on the command line, then believe them,
  but do not implicitly believe uname/gname/mode/flags from the file
  system.
* Output fields in the same order used by mtree.
Fix -Wshadow -Wcast-qual issues
Re-calculate size and digestresult after stripping, to ensure that
correct values appear in the metalog.
Add LINKSOWN, LINKSGRP, and LINKSMODE variables for use by bsd.links.mk
when installing hard links.  They have no effect except when using a
metalog, in which case the information is added to the metalog.  In
the future, these variables may be replaced by a method for explicitly
recording hard links in a metadata log.
Also change a few things that called ${INSTALL_LINK} without going
through bsd.links.mk.
Reviewed by perry and joerg.  This should fix PR 24457 and PR 41155.
@
text
@d3 1
a3 1
# $NetBSD$
d151 1
a151 2
				"${SDIR}/flist.${setname}.full" "${metalog}" \
				    | ${SORT} -u
@


1.63
log
@Cleanup .tgz.tmp files on exit.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.62 2007/11/12 15:06:45 jmmv Exp $
d29 1
d42 1
d54 5
d60 1
a60 1
while getopts bxi:a:m:s:SM:N:d:t: ch; do
d78 3
d145 1
a145 1
		${setfilesonly} && echo "Creating ${setlistdir}/set.${setname}"
d176 1
a176 1
		echo "Copying set ${setname}"
d183 1
a183 1
			echo "${out} is up to date"
d186 1
a186 1
		echo "Creating ${out}"
@


1.62
log
@Add the tests.tgz set

This adds a new tests.tgz set to releases which includes all the tests
for the system.  It is important to note that this set does not rely on
comp.tgz: a user of the system can run the tests without having the
development tools installed, which can be useful in a production machine.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.61 2006/01/28 19:01:23 apb Exp $
d114 1
d121 2
a122 1
	/bin/rm -rf "${SDIR}"
d178 1
@


1.62.8.1
log
@Sync with HEAD.
@
text
@d3 1
a3 1
# $NetBSD$
a28 1
quiet=false
a40 1
	-q		Quiet operation
a51 5
msg()
{
	$quiet || echo $*
}

d53 1
a53 1
while getopts bxi:a:m:qs:SM:N:d:t: ch; do
a70 3
	q)
		quiet=true
		;;
a113 1
TMPFILES=
d120 1
a120 2
	/bin/rm -rf "${SDIR}" ${TMPFILES}
	trap - 0
d133 1
a133 1
		${setfilesonly} && msg "Creating ${setlistdir}/set.${setname}"
d164 1
a164 1
		msg "Copying set ${setname}"
d171 1
a171 1
			msg "${out} is up to date"
d174 1
a174 1
		msg "Creating ${out}"
a175 1
		TMPFILES="${TMPFILES} ${tars}/${out}.tmp"
@


1.62.8.2
log
@Sync with HEAD.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.62.8.1 2008/04/03 13:54:13 mjf Exp $
@


1.62.6.1
log
@sync with head.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.64 2008/03/16 07:02:22 lukem Exp $
a28 1
quiet=false
a40 1
	-q		Quiet operation
a51 5
msg()
{
	$quiet || echo $*
}

d53 1
a53 1
while getopts bxi:a:m:qs:SM:N:d:t: ch; do
a70 3
	q)
		quiet=true
		;;
a113 1
TMPFILES=
d120 1
a120 2
	/bin/rm -rf "${SDIR}" ${TMPFILES}
	trap - 0
d133 1
a133 1
		${setfilesonly} && msg "Creating ${setlistdir}/set.${setname}"
d164 1
a164 1
		msg "Copying set ${setname}"
d171 1
a171 1
			msg "${out} is up to date"
d174 1
a174 1
		msg "Creating ${out}"
a175 1
		TMPFILES="${TMPFILES} ${tars}/${out}.tmp"
@


1.61
log
@No space in "function()", "command;" or "$(command)".
Requested by christos.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.60 2006/01/08 10:10:03 apb Exp $
d9 1
a9 1
# The default sets are "base comp etc games man misc text"
@


1.61.10.1
log
@sync with HEAD
@
text
@d3 1
a3 1
# $NetBSD$
d9 1
a9 1
# The default sets are "base comp etc games man misc tests text"
@


1.61.10.2
log
@sync with HEAD
@
text
@d3 1
a3 1
# maketars,v 1.61.10.1 2008/01/09 01:28:13 matt Exp
a28 1
quiet=false
a40 1
	-q		Quiet operation
a51 5
msg()
{
	$quiet || echo $*
}

d53 1
a53 1
while getopts bxi:a:m:qs:SM:N:d:t: ch; do
a70 3
	q)
		quiet=true
		;;
a113 1
TMPFILES=
d120 1
a120 2
	/bin/rm -rf "${SDIR}" ${TMPFILES}
	trap - 0
d133 1
a133 1
		${setfilesonly} && msg "Creating ${setlistdir}/set.${setname}"
d164 1
a164 1
		msg "Copying set ${setname}"
d171 1
a171 1
			msg "${out} is up to date"
d174 1
a174 1
		msg "Creating ${out}"
a175 1
		TMPFILES="${TMPFILES} ${tars}/${out}.tmp"
@


1.60
log
@When printing messages to stderr, always use
echo >&2 "${prog}: ..."

Approved by christos
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.59 2006/01/04 15:03:39 apb Exp $
d165 1
a165 1
		( cd "${dest}" ; \
d176 1
a176 1
		( cd "${dest}" ; \
d184 1
a184 1
if [ ${es} -gt 255 ] ; then
@


1.59
log
@Remove the code that used "${MTREE} -C ..." to sanitise the plist.  We
can now assume that it's already been sanitised before maketars was
invoked.

Reviewed by agc
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.58 2006/01/03 18:31:09 apb Exp $
d103 1
a103 1
	echo 1>&2 \${RELEASEDIR} must be set, or -i must be used
d108 1
a108 1
	echo 1>&2 \${DESTDIR} must be set
@


1.58
log
@Ensure that (almost) all shell variables in distrib/sets/* scripts are
used with curly braces and quotes, as in "${var}".

Also ensure that command substitution is quoted, as in "$(command)", and
convert `command` to $(command).

Reviewed by agc
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.57 2006/01/03 16:40:16 apb Exp $
a128 12
if [ -n "${metalog}" ]; then
	(
		cat "${etcdir}/mtree/NetBSD.dist"
		echo "/unset all"
		cat "${metalog}" 2>/dev/null
	) | ${MTREE} -C -k all -N "${etcdir}" > "${SDIR}/metalog"
	rv=$?
	if [ ${rv} -ne 0 ]; then
		echo 1>&2 "${prog}: mtree parse of ${metalog} failed"
		exit ${rv}
	fi
fi
d139 1
a139 2
				"${SDIR}/flist.${setname}.full" \
				"${SDIR}/metalog"
d142 2
@


1.57
log
@Add shell variables defined in sets.subr for almost all commands used
by scripts in distrib/sets/*.  This is intended to be useful when cross
building.  Only trivial commands like echo, cat, and rm are excluded
from this treatment.

While I am here, make ${MTREE} and ${DB} follow the pattern used by most
other such variables.

Reviewed by agc.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.56 2006/01/03 15:42:42 apb Exp $
d17 1
a17 1
prog=${0##*/}
d22 3
a24 3
lists=$nlists
tars=$RELEASEDIR
dest=$DESTDIR
d39 4
a42 4
	-a arch		Set arch (e.g, m68k, mipseb, mipsel, powerpc) [$MACHINE_ARCH]
	-m machine	Set machine (e.g, amiga, i386, macppc) [$MACHINE]
	-s setsdir	Directory to find sets [$setsdir]
	-S		Exit after creating set files $dest/etc/mtree/set.*
d44 4
a47 4
	-N etcdir	etc dir for metalog use [$dest/etc]
	-d dest		\$DESTDIR	[$dest]
	-t targetdir	\$RELEASEDIR	[$tars]
	[setname ...]	Sets to build 	[$lists]
d56 1
a56 1
		lists="$nlists $xlists"
d59 1
a59 1
		lists="$xlists"
d62 1
a62 1
		installdir=${OPTARG}
d65 2
a66 2
		MACHINE_ARCH=${OPTARG}
		MACHINE_CPU=$(arch_to_cpu ${OPTARG})
d69 1
a69 1
		MACHINE=${OPTARG}
d72 1
a72 1
		setsdir=${OPTARG}
d78 1
a78 1
		metalog=${OPTARG}
d81 1
a81 1
		etcdir=${OPTARG}
d84 1
a84 1
		dest=${OPTARG}
d87 1
a87 1
		tars=${OPTARG}
d95 2
a96 2
if [ -n "$installdir" ]; then	# if -i, remove etc & xetc from the default list
	lists=$(echo $lists | ${SED} -e 's/ etc / /;s/ xetc / /')
d102 2
a103 2
if [ -z "$tars" -a -z "$installdir" ]; then
	echo 1>&2 \$RELEASEDIR must be set, or -i must be used
d107 2
a108 2
if [ -z "$dest" ]; then
	echo 1>&2 \$DESTDIR must be set
d111 1
a111 1
: ${etcdir:=${dest}/etc}
d113 1
a113 1
SDIR=$(${MKTEMP} -d /tmp/${prog}.XXXXXX)
d115 1
a115 1
setlistdir=${dest}/etc/mtree
d120 2
a121 2
	/bin/rm -rf $SDIR
	exit $es
d129 1
a129 1
if [ -n "$metalog" ]; then
d131 1
a131 1
		cat ${etcdir}/mtree/NetBSD.dist
d133 2
a134 2
		cat $metalog 2>/dev/null
	) | ${MTREE} -C -k all -N ${etcdir} > $SDIR/metalog
d136 1
a136 1
	if [ $rv -ne 0 ]; then
d138 1
a138 1
		exit $rv
d141 7
a147 7
for setname in $lists; do
	${HOST_SH} $setsdir/makeflist -a $MACHINE_ARCH -m $MACHINE \
	    -s $setsdir $setname > $SDIR/flist.$setname
	if [ -n "$metalog" ]; then
		$setfilesonly && echo "Creating ${setlistdir}/set.${setname}"
		${AWK} -f $rundir/getdirs.awk $SDIR/flist.$setname \
		    | ${SORT} -u > $SDIR/flist.$setname.full
d150 3
a152 2
			${AWK} -f $rundir/join.awk \
				$SDIR/flist.$setname.full $SDIR/metalog
d154 5
a158 5
		) > ${setlistdir}/set.${setname}
	elif ! cmp -s ${SDIR}/flist.${setname} \
			${setlistdir}/set.${setname} >/dev/null 2>&1; then
		rm -f ${setlistdir}/set.${setname}
		cp ${SDIR}/flist.${setname} ${setlistdir}/set.${setname}
d161 1
a161 1
if $setfilesonly; then		# exit after creating the set lists
d172 7
a178 7
for setname in $lists; do
	out=$setname.tgz
	if [ -n "$installdir" ]; then
		echo "Copying set $setname"
		( cd $dest ; \
		    ${PAX} -O -rwpe -d -N${etcdir} ${metalog:+-M} \
			${installdir} < ${setlistdir}/set.${setname} )
d180 3
a182 2
		if [ -n "$metalog" -a $tars/$out -nt "$metalog" ]; then
			echo "$out is up to date"
d185 7
a191 6
		echo "Creating $out"
		rm -f ${tars}/$out
		( cd $dest ; \
		    ${PAX} -O -w -d -z -N${etcdir} ${metalog:+-M} \
			< ${setlistdir}/set.${setname} ) > ${tars}/$out.tmp &&
		mv ${tars}/$out.tmp ${tars}/$out
d193 1
a193 1
	es=$(($es + $?))
d195 1
a195 1
if [ $es -gt 255 ] ; then
d198 1
a198 1
exit $es
@


1.56
log
@Move default values for several shell variables into sets.subr.

Reviewed by agc
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.55 2005/10/21 02:41:14 jmc Exp $
d96 1
a96 1
	lists=$(echo $lists | sed -e 's/ etc / /;s/ xetc / /')
d146 2
a147 2
		awk -f $rundir/getdirs.awk $SDIR/flist.$setname \
		    | sort -u > $SDIR/flist.$setname.full
d150 2
a151 1
			awk -f $rundir/join.awk $SDIR/flist.$setname.full $SDIR/metalog
@


1.55
log
@Set default vars so blank and unset both end up w. a reasonable default
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.54 2004/07/23 15:11:26 erh Exp $
d18 2
a21 7
: ${HOST_SH:=sh}
: ${MKTEMP:=mktemp}
: ${MTREE:=/usr/sbin/mtree}
: ${PAX:=pax}

rundir=${0%/*}
. ${rundir}/sets.subr
a22 1

@


1.54
log
@Make all the sets scripts work even when not run from the directory that
they reside in.
Change any uses of dirname to use shell variable substitution instead.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.53 2004/04/18 19:52:32 dsl Exp $
d20 4
a23 4
: ${HOST_SH=sh}
: ${MKTEMP=mktemp}
: ${MTREE=mtree}
: ${PAX=pax}
@


1.53
log
@Write to a temporary file and mv to real name to avoid getting a
truncated file if/when interrupted.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.52 2004/02/19 02:54:51 dyoung Exp $
d25 2
a26 1
. $(dirname $0)/sets.subr
d152 1
a152 1
		awk -f getdirs.awk ${SDIR}/flist.${setname} \
d156 1
a156 1
			awk -f join.awk $SDIR/flist.$setname.full $SDIR/metalog
@


1.52
log
@Clearly the error message was supposed to print $metalog, not
$METALOG.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.51 2004/02/06 11:38:57 lukem Exp $
d181 1
a181 1
		    ${installdir} < ${setlistdir}/set.${setname} )
d188 1
d191 2
a192 1
		    < ${setlistdir}/set.${setname} ) > ${tars}/$out
@


1.51
log
@When not using a metalog, only copy the generated flist.<set> over
/etc/mtree/set.<set> if they are different.  This should allow
installsets to operate from a pre-populated read-only DESTDIR.
Based on fix from Juergen Hannken-Illjes.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.50 2004/01/30 08:39:50 lukem Exp $
d142 1
a142 1
		echo 1>&2 "${prog}: mtree parse of ${METALOG} failed"
@


1.50
log
@Create ${DESTDIR}/etc/mtree/set.<setname> setfiles for each given <setname>.
Add `-S' to exit after creating the setfiles.
Send errors to stderr instead of stdout.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.49 2004/01/29 08:32:51 lukem Exp $
d158 4
a161 2
	else
		mv ${SDIR}/flist.${setname} ${setlistdir}/set.${setname}
@


1.49
log
@Also remove "xetc" from the default list of sets copied with  -i installdir
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.48 2004/01/03 02:38:58 lukem Exp $
d10 1
d33 1
d38 1
a38 1
Usage: ${prog} [-b] [-x] [-i idir] [-a arch] [-m machine] [-s setsdir]
d40 8
a47 6
	-b		make netbsd + x11 lists
	-x		only make x11 lists
	-i idir		install sets to idir instead of creating tar files
	-a arch		set arch (e.g, m68k, mipseb, mipsel, powerpc) [$MACHINE_ARCH]
	-m machine	set machine (e.g, amiga, i386, macppc) [$MACHINE]
	-s setsdir	directory to find sets [$setsdir]
d52 1
a52 1
	[setname ...]	sets to build 	[$lists]
d58 1
a58 1
while getopts bxi:a:m:s:M:N:d:t: ch; do
d79 3
d108 1
a108 1
	echo \$RELEASEDIR must be set, or -i must be used
d113 1
a113 1
	echo \$DESTDIR must be set
d120 2
a121 1
es=0
d130 4
a134 1
	echo "Parsing $metalog"
d142 1
a142 1
		echo "${prog}: mtree failed, exiting"
a145 4

GZIP=-9			# for pax -z
export GZIP

a146 10
	out=$setname.tgz
	if [ -n "$installdir" ]; then
		echo "Copying set $setname"
	else
		if [ -n "$metalog" -a $tars/$out -nt "$metalog" ]; then
			echo "$out is up to date"
			continue
		fi
		echo "Creating $out"
	fi
d150 3
a152 2
		awk -f getdirs.awk $SDIR/flist.$setname | sort -u \
		    > $SDIR/flist.$setname.full
d156 2
a157 1
		) > $SDIR/plist.$setname
d159 1
a159 1
		mv $SDIR/flist.$setname $SDIR/plist.$setname
d161 4
d166 9
d176 1
d179 1
a179 1
		    $installdir < ${SDIR}/plist.$setname )
d181 5
d188 1
a188 1
		    < ${SDIR}/plist.$setname ) > ${tars}/$out
@


1.48
log
@rename all the <bsd.own.mk> derived variables to uppercase, and export
them to the environment.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.47 2003/12/29 03:13:25 lukem Exp $
d13 1
a13 1
# In this case, remove "etc" from the list of default sets.
d57 1
a57 1
		lists="$xlists $nlists"
d93 2
a94 2
if [ -n "$installdir" ]; then		# if -i, remove etc from default list
	lists=$(echo $lists | sed -e 's/ etc / /')
@


1.47
log
@Significant overhaul of how the sets are used:

* Add an optional third field to the sets file which is a list of
  comma separated keywords that control if the line is printed.
  Currently supported keywords
	kerberos4	${MKKERBEROS4} != no
	kerberos	${MKKERBEROS} != no
	lint		${MKLINT} != no
	obsolete	${obsolete} != 0.
			In this case, non obsolete files are not printed.
  (This will allow future support for builds with variables such as
  MKHESIOD and MKYP set to "no".)

* Use sh(1)'s getopts where appropriate, and otherwise cleanup the
  various scripts.

* Move defaults for sets.subr from sets.defaults into sets.subr.
  Move replicated code for determining stuff such as shlibs type
  from various scripts into sets.subr.

* Merge the obsolete.*, krb.*, krb4.* and lint.* into the appropriate
  main lists with the relevant third field keyword(s).
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.46 2003/12/19 22:25:54 jmc Exp $
d41 2
a42 2
	-a arch		set arch (e.g, m68k, mipseb, mipsel, powerpc) [$machine_arch]
	-m machine	set machine (e.g, amiga, i386, macppc) [$machine]
d66 2
a67 2
		machine_arch=${OPTARG}
		machine_cpu=$(arch_to_cpu ${OPTARG})
d70 1
a70 1
		machine=${OPTARG}
d150 1
a150 1
	${HOST_SH} $setsdir/makeflist -a $machine_arch -m $machine \
@


1.46
log
@Redo creation of sets/sums so this can be parallelized if using -j.
Suggested in PR#20115 and PR#20116
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.45 2003/11/25 07:19:46 dyoung Exp $
d19 1
a19 1
: ${PAX=pax}
d22 1
d24 2
a25 1
. $(dirname $0)/sets.defaults
a26 3
setd=$(pwd)
nlists=$lists
xlists="xbase xcomp xcontrib xfont xserver xmisc"
d33 3
a35 35
# handle args
while : ; do
	case $1 in
	-b*)
		lists="$xlists $nlists"
		;;
	-x*)
		lists=$xlists
		;;
	-i*)
		installdir=$2; shift
		;;
	-a*)
		machine_arch=$2; shift
		;;
	-M*)
		metalog=$2; shift
		;;
	-m*)
		machine=$2; shift
		;;
	-N*)
		etcdir=$2; shift
		;;
	-s*)
		setd=$2; shift
		;;
	-d*)
		dest=$2; shift
		;;
	-t*)
		tars=$2; shift
		;;
	-*)
		cat 1>&2 <<USAGE
d43 1
a43 1
	-s setsdir	directory to find sets [$setd]
d50 36
a85 1
		exit 1
d88 1
a88 1
		break
a90 1
	shift
d92 1
d150 2
a151 2
	sh $setd/makeflist -a $machine_arch -m $machine -s $setd $setname \
	    > $SDIR/flist.$setname
@


1.45
log
@Factor duplicated code for setting variables such as machine_cpu
and machine_arch to their defaults into sets.defaults, and source
it at the top of each script.

Also, to be consistent with variable naming, s/arch/machine_arch/.

sets.defaults introduces two new variables, krb and krb4, which
will affect whether Kerberos- or Kerberos IV-only files are put
into the set lists.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.44 2003/10/16 14:20:20 dsl Exp $
d26 1
a26 1
nlists="base comp etc games man misc text"
a27 1
lists=$nlists
@


1.44
log
@Report correct error code (in particular when mtree objects to METALOG file).
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.43 2003/09/30 05:07:40 lukem Exp $
a21 1
make="${MAKE:-make} -j 1 -f $(dirname $0)/Makefile"
d23 2
a24 2
machine=$(${make} print_machine)
machine_arch=$(${make} print_machine_arch)
@


1.43
log
@* use ${MKTEMP} -d  instead of home-grown tempdir creation code
* use $(...) instead of `...`
* fix a recent modification to follow the same coding style as the
  rest of the file...  (mmm, consistency)
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.42 2003/08/22 19:08:47 dsl Exp $
d116 1
a117 3
	if [ $es -gt 255 ] ; then
		es=255
	fi
d127 1
a127 1
		cat $metalog
@


1.42
log
@Since the METALOG is updated by every install, there is no need to
remake the sets if the set files are newer than METALOG.
Useful for running DISTRIBUTION_DONE= nbmake in src/etc in order to
rebuild with new kernels and/or new ramdisk.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.41 2003/07/03 06:43:02 lukem Exp $
d16 1
a16 1
prog=`basename $0`
d20 1
d22 1
a22 1
make="${MAKE:-make} -j 1 -f `dirname $0`/Makefile"
d24 3
a26 3
machine=`${make} print_machine`
machine_arch=`${make} print_machine_arch`
setd=`pwd`
d111 1
a111 20
# Make sure we don't loop forever if mkdir will always fail.

if [ ! -d /tmp ]; then
	echo /tmp is not a directory
	exit 1
fi

if [ ! -w /tmp ]; then
	echo /tmp is not writable
	exit 1
fi

SDIR_BASE=/tmp/maketar.$$
SDIR_SERIAL=0

while true; do
	SDIR=${SDIR_BASE}.${SDIR_SERIAL}
	mkdir -m 0700 ${SDIR} && break
	SDIR_SERIAL=$((${SDIR_SERIAL} + 1))
done    
d146 1
a146 1
		[ -n "$metalog" -a $tars/$out -nt "$metalog" ] && {
d149 1
a149 1
		}
@


1.41
log
@if the mtree parse of METALOG fails, exit.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.40 2003/04/07 17:22:19 perry Exp $
d164 4
@


1.40
log
@Temporarily revert last. It now screws over symlinks from the destdir,
which is the inverse problem. It is fixable by piping one pax -w into
a pax -r instead of using a pax -rw, but unfortunately that won't work
yet because I've hit a pax issue. I'll fix that and then fix this right.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.39 2003/04/06 19:41:03 perry Exp $
d16 2
d70 1
a70 1
Usage: $0 [-b] [-x] [-i idir] [-a arch] [-m machine] [-s setsdir]
d149 5
@


1.39
log
@do pax -L so that symlinks aren't blown away.
Beginning of work to fix PR install/8090 from Luke Mewburn
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.38 2003/01/21 19:07:05 erh Exp $
d174 1
a174 1
		    ${PAX} -O -L -rwpe -d -N${etcdir} ${metalog:+-M} \
@


1.38
log
@Return the correct exit status in the trap handler so errors get caught.
Also make sure the status is less than 256.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.37 2003/01/06 20:30:42 wiz Exp $
d174 1
a174 1
		    ${PAX} -O -rwpe -d -N${etcdir} ${metalog:+-M} \
@


1.37
log
@writable, not writeable.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.36 2003/01/03 15:26:32 lukem Exp $
d129 10
a138 1
trap "/bin/rm -rf $SDIR ; exit 0" 0 2 3 13		# EXIT INT QUIT PIPE
a151 1
es=0
d183 3
@


1.36
log
@improve description of -t
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.35 2002/12/25 23:47:32 lukem Exp $
d116 1
a116 1
	echo /tmp is not writeable
@


1.35
log
@improve description
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.34 2002/12/25 23:44:06 lukem Exp $
d69 1
a69 1
	    [-M metalog] [-N etcdir] [-d dest] [-t tars] [setname ...]
d79 1
a79 1
	-t tars		\$RELEASEDIR	[$tars]
@


1.34
log
@fix header to match usage
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.33 2002/12/23 06:52:48 lukem Exp $
d8 6
@


1.33
log
@Rework METALOG manipulation:
- add '-D ${DESTDIR}' to INSTPRIV, so install(8) removes the leading
  ${DESTDIR} from the metalogged path
- provide ${METADB.add} variable (for "${CAT} -l >> ${METALOG}"), to make
  it easier to replace manual metalog manipulation in the future.
- with manual metalog additions, don't add the leading ${DESTDIR} in the path
- in maketars, use "mtree -C ..." instead of
  "mtree -D ... | sed -e 's,\(.*\) \(\..*\),\2 \1,";

Benefits:
- maketars "Parsing METALOG" step speeds up from 29 seconds to 1.2 seconds
  on a P3-600.
  (This also benefits "make installworld" at the top level.)
- ${DESTDIR}/METALOG is easier to read without the leading "${DESTDIR}"
  on all the pathnames, and it's smaller as well.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.32 2002/12/21 15:54:49 lukem Exp $
d6 2
a7 2
# maketars [-b] [-x] [-a arch] [-m machine] [-s setsdir]
#	[-M metalog] [-d destdir] [-t tardir] [-i installdir] [setname ...]
@


1.32
log
@Invoke ${PAX} with '-O' so that various errors don't hang the make
or the command with an interactive question.  (This also prevents
weird problems if a directory element of '-f path' is missing and
'make -j N' is being used).
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.31 2002/12/19 12:33:10 lukem Exp $
d130 2
a131 3
		sed -e "s,^\.$dest,.," < $metalog
	) | ${MTREE} -D -k all -N ${etcdir} | \
	    sed -e 's,\(.*\) \(\..*\),\2 \1,' > $SDIR/metalog
@


1.31
log
@Always call maketars (and subsequently pax) with -N ${NETBSDSRCDIR}/etc,
so that we always use the user & group databases from there rather than
the host systems.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.30 2002/12/19 06:21:45 lukem Exp $
d161 1
a161 1
		    ${PAX} -rwpe -d -N${etcdir} ${metalog:+-M} \
d165 1
a165 1
		    ${PAX} -w -d -z -N${etcdir} ${metalog:+-M} \
@


1.30
log
@maketars:
- add "-N etcdir", to be used for pax & mtree -N.  defaults to ${DESTDIR}/etc

Makefile:
- if UNPRIVED, call maketars with "-N ${NETBSDSRCDIR}/etc", so that
  "make UNPRIVED= DESTDIR=/foo installsets" can work with an empty
  ${DESTDIR}/etc. (i.e, after a make build without install-etc-files)
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.29 2002/12/17 01:59:32 lukem Exp $
d161 1
a161 1
		    ${PAX} -rwpe -d ${metalog:+-N${etcdir}} ${metalog:+-M} \
d165 1
a165 1
		    ${PAX} -w -d -z ${metalog:+-N${etcdir}} ${metalog:+-M} \
@


1.29
log
@consistently use $dest instead of $DESTDIR
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.28 2002/12/12 08:51:49 lukem Exp $
d25 1
d48 3
d62 2
a63 2
Usage: $0 [-b] [-x] [-a arch] [-m machine] [-s setsdir] [-M metalog]
		[-d dest] [-t tars] [setname ...]
d66 1
a66 1
	-i targdir	install sets to targdir instead of creating tar files
d71 1
d100 1
d128 1
a128 1
		cat ${dest}/etc/mtree/NetBSD.dist
d131 1
a131 1
	) | ${MTREE} -D -k all -N ${dest}/etc | \
d161 1
a161 1
		    ${PAX} -rwpe -d ${metalog:+-N$dest/etc} ${metalog:+-M} \
d165 1
a165 1
		    ${PAX} -w -d -z ${metalog:+-N$dest/etc} ${metalog:+-M} \
@


1.28
log
@Add '-i installdir', to copy the given sets from $DESTDIR to installdir
instead of creating tar files.  If the default sets are used, "etc" is
removed from the list, because it's highly unlikely that it's wanted
in that case.

Tested against a DESTDIR created with "make UNPRIVED= DESTDIR=.... build".
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.27 2002/11/26 06:22:23 lukem Exp $
d122 1
a122 1
		cat ${DESTDIR}/etc/mtree/NetBSD.dist
d125 1
a125 1
	) | ${MTREE} -D -k all -N ${DESTDIR}/etc | \
@


1.27
log
@use ${make} instead of ${MAKE} in the shell scripts, to prevent weird
lossage with the modified ${MAKE} getting passed to child make's
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.26 2002/11/25 23:29:54 lukem Exp $
d7 1
a7 1
#	[-M metalog] [-d destdir] [-t tardir] [setname ...]
d24 1
d35 3
d62 1
d79 3
d86 2
a87 2
if [ -z "$tars" ]; then
	echo \$RELEASEDIR must be set
d120 1
a120 1
	echo "parsing $metalog"
d135 5
a139 1
	echo "making $out"
d153 9
a161 3
	( cd $dest ; \
	    ${PAX} -w -d -z ${metalog:+-N$dest/etc} ${metalog:+-M} \
	    < ${SDIR}/plist.$setname ) > ${tars}/$out
@


1.26
log
@explicitly add  " -f `dirname $0`/Makefile "  to ${MAKE}, so that
these scripts do not need to be run from this directory in order
to function correctly
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.25 2002/07/23 09:02:46 lukem Exp $
d13 1
a13 1
MAKE="${MAKE:-make} -j 1 -f `dirname $0`/Makefile"
d15 2
a16 2
machine=`${MAKE} print_machine`
machine_arch=`${MAKE} print_machine_arch`
@


1.25
log
@set  MAKE="${MAKE:-make} -j 1"  to prevent problems where the output
of make -j N>1 would result in junk in various shell variables
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.24 2002/05/19 13:24:22 lukem Exp $
d13 1
a13 1
MAKE="${MAKE:-make} -j 1"
@


1.24
log
@keep separate temp files for "full" flists
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.23 2002/04/13 12:47:10 lukem Exp $
a10 1
: ${MAKE=make}
d13 1
@


1.24.2.1
log
@Pull up revision 1.25 (requested by lukem):
set  MAKE="${MAKE:-make} -j 1"  to prevent problems where the output
of make -j N>1 would result in junk in various shell variables
@
text
@d3 1
a3 1
# $NetBSD$
d11 1
a13 1
MAKE="${MAKE:-make} -j 1"
@


1.23
log
@- clean up SDIR (temporary directory) creation
- improve munging of NetBSD.dist and METALOG into metalog, using mtree to
  "cleanup" / "merge" entries, and don't sort the result.
  relies upon mtree to not change the order (see below)
- use (newly added) join.awk to output lines in metalog that are listed
  in flist.${set}.  join.awk doesn't require either file to be sorted
  (unlike join(1)), which is required because we want to retain the
  order of the metalog, because certain entries in the metalog (such
  as hard links) make assumptions about the permissions of earlier entries.
  this should fix [toolchain/16207]
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.22 2002/04/08 17:18:23 tron Exp $
d132 1
a132 1
		    > $SDIR/flist.full
d135 1
a135 1
			awk -f join.awk $SDIR/flist.full $SDIR/metalog
@


1.22
log
@Solve problem with with XFree86 3.3.6/4.x set "maketars" differently:
We don't want e.g. a seperate "xbase.tgz" and "xbase3.tgz" but one
combined archive.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.21 2002/04/08 15:39:33 tron Exp $
d104 3
a106 3
    SDIR=${SDIR_BASE}.${SDIR_SERIAL}
    mkdir -m 0700 ${SDIR} && break
    SDIR_SERIAL=`expr ${SDIR_SERIAL} + 1`
d113 6
a118 5
	${MTREE} -D -k all -N ${DESTDIR}/etc \
	    -f ${DESTDIR}/etc/mtree/NetBSD.dist | \
	    sed -e 's,\(.*\) \(\..*\),\2 \1,' > $SDIR/metadirs
	sed -e "s,^\.$dest,.," < $metalog > $SDIR/metafiles
	cat $SDIR/metadirs $SDIR/metafiles | sort -u > $SDIR/metalog
d133 4
a136 2
		echo "/set uname=root gname=wheel" > $SDIR/plist.$setname
		join $SDIR/flist.full $SDIR/metalog >> $SDIR/plist.$setname
@


1.21
log
@Fix problem with building X11 release "tar" archives after support for
XFree86 4.x sets has been added. Problem noted by Richard Earnshaw in
private e-mail.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.20 2002/04/01 15:50:30 bjh21 Exp $
a16 1
x11_version=`${MAKE} print_x11_version`
d19 1
a19 14
xlists=
for xlist in xbase xcomp xcontrib xfont xserver xmisc
do
 if [ -z "$xlists" ]
 then
  xlists=$xlist
 else
  xlists="$xlists $xlist"
 fi
 if [ -d "$setd/lists/$xlist${x11_version}" ]
 then
  xlists="$xlists $xlist${x11_version}"
 fi
done
@


1.20
log
@Instead of using mktemp -d (which isn't available on many systems), use mkdir
in a loop to create a temporary directory.  Add a few chacks for the sanity
of /tmp first, so as to avoid making the loop infinite.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.19 2002/03/01 07:21:14 lukem Exp $
d17 1
d20 14
a33 1
xlists="xbase xcomp xcontrib xfont xserver xmisc"
@


1.19
log
@- use numeric rather than symbolic trap names; it's more portable
- read NetBSD.dist from ${DESTDIR}/etc/mtree instead of /usr/src/etc/mtree
- run mtree with "-N ${DESTDIR}/etc" instead of using the host user databases
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.18 2002/02/27 10:51:47 lukem Exp $
d88 21
a108 1
SDIR=`mktemp -d /tmp/maketar.XXXXXX` || exit 1
@


1.18
log
@Fixes to allow unprivileged building of the binary tar files to
contain the correct permissions.

Makefile:
- set SETSENV to the list of variables we wish to pass to each shell
  script and use that, rather than duplicating the effort below
- call maketars with "-M ${METALOG}" if UNPRIVED is set.

getdirs.awk:
- takes a list of filenames and outputs the list along with all the
  directories used by those filenames

maketars:
- support "-M metalog"
- merge etc/mtree/NetBSD.dist with the "-M metalog" for use in the tgz build
- for a given set, find the union between the set list and the metalog
  generated above and use that as the list of files to ${PAX} up as the
  tgz file.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.17 2002/02/26 20:03:08 he Exp $
d89 1
a89 1
trap "/bin/rm -rf $SDIR ; exit 0" EXIT INT QUIT PIPE
d93 2
a94 1
	${MTREE} -D -k all -f /usr/src/etc/mtree/NetBSD.dist | \
@


1.17
log
@Wait with exiting on error until all the install sets have been
attempted to be created.

This way, in "discover missing files" mode, you'll get the benefit
of getting all the missing files listed before this script bombs
out with a non-zero exit status, something which can be of benefit
on slow machines.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.16 2001/11/24 03:08:27 thorpej Exp $
d6 2
a7 2
# maketars [-b] [-x] [-a arch] [-m machine] [-s setsdir] [-d destdir] \
#	[-t tardir] [setname ...]
d12 3
d23 1
d31 1
a31 1
	-x*)	
d37 3
d49 1
a49 1
	-t*)	
d54 1
a54 1
Usage: $0 [-b] [-x] [-a arch] [-m machine] [-s setsdir] 
d61 1
d88 14
d106 15
a120 3
	sh $setd/makeflist -a $machine_arch -m $machine -s $setd $setname > ${dest}/tmp/flist
	(cd $dest ; pax -w -d -z < ${dest}/tmp/flist) > ${tars}/$out
	es=`expr $es + $?`
a121 1
rm -f ${dest}/tmp/flist
@


1.16
log
@Use the logic in bsd.own.mk to determine machine/machine_arch.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.15 2001/01/22 07:03:44 jmc Exp $
d80 1
a80 2
trap 'rm -f ${dest}/tmp/flist' 0
set -e
d86 1
d88 2
@


1.15
log
@Change pipeline in sets building so proper error detection for each stage
can be detected. This way sets stop building at the exact file that doesn't
exist rather than continuing.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.14 2000/10/01 22:49:05 thorpej Exp $
d12 2
a13 2
machine=${MACHINE:-`printf 'xxx:\n\techo ${MACHINE}' | $MAKE -s -f-`}
arch=${MACHINE_ARCH:-`printf 'xxx:\n\techo ${MACHINE_ARCH}' | $MAKE -s -f-`}
d31 1
a31 1
		arch=$2; shift
d51 3
a53 3
	-a arch		set arch (e.g, m68k, mips, powerpc)	[$arch]
	-m machine	set machine (e.g, amiga, i386, macppc)	[$machine]
	-s setsdir	directory to find sets	[$setd]
d85 1
a85 1
	sh $setd/makeflist -a $arch -m $machine -s $setd $setname > ${dest}/tmp/flist
@


1.14
log
@Add the xmisc set.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.13 1999/02/13 07:59:45 itohy Exp $
d80 2
d85 2
a86 3
	sh $setd/makeflist -a $arch -m $machine -s $setd $setname |
	  (cd $dest ; pax -w -d) |
	  gzip -9 > ${tars}/$out
@


1.13
log
@Use "$MAKE" instead of "make" for cross environment.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.12 1998/12/03 18:17:45 frueauf Exp $
d16 1
a16 1
xlists="xbase xcomp xcontrib xfont xserver"
@


1.13.10.1
log
@Pullup 1.14 [jmc]:
Enable xmisc in sysinst.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.14 2000/10/01 22:49:05 thorpej Exp $
d16 1
a16 1
xlists="xbase xcomp xcontrib xfont xserver xmisc"
@


1.13.10.2
log
@Pull up revision 1.15 (requested by jmc):
  If, during construction of an install set, pax did not find one
  or more files, error out.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.13.10.1 2000/11/01 02:08:44 tv Exp $
a79 2
trap 'rm -f ${dest}/tmp/flist' 0
set -e
d83 3
a85 2
	sh $setd/makeflist -a $arch -m $machine -s $setd $setname > ${dest}/tmp/flist
	(cd $dest ; pax -w -d -z < ${dest}/tmp/flist) > ${tars}/$out
@


1.13.10.3
log
@Pull up revision 1.17 (via patch, requested by he):
  Collect exit status for all set constructions before exiting.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.13.10.2 2002/02/23 18:27:47 he Exp $
d80 2
a81 2

es=0
a86 1
	es=`expr $es + $?`
a87 2
rm -f ${dest}/tmp/flist
exit $es@


1.13.10.4
log
@Apply patch (requested by he):
  Actually make the exit status collection work.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.13.10.3 2002/02/26 20:07:40 he Exp $
d87 1
a87 1
	es=$(($es + $?))
d90 1
a90 1
exit $es
@


1.12
log
@Use $out correctly, pointed out in pr 6526 by Dave Huang.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.11 1998/11/18 11:09:12 he Exp $
d11 3
a13 2
machine=${MACHINE:-`printf 'xxx:\n\techo ${MACHINE}' | make -s -f-`}
arch=${MACHINE_ARCH:-`printf 'xxx:\n\techo ${MACHINE_ARCH}' | make -s -f-`}
@


1.11
log
@There should be no need for the "set -x" now, it clutters output.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.10 1998/06/27 08:27:36 ross Exp $
d80 1
a80 1
	out=$setname.tar.gz
d84 1
a84 1
	  gzip -9 > ${tars}/$setname.tgz
@


1.10
log
@The newly churned maketars was apparently not tested in its normal
mode with no options and no parameters.

You have to be careful about the difference between $@@ and $*.
In particular, "if [ -n "$@@" ]" does not do what you think it will.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.9 1998/06/15 14:45:06 lukem Exp $
a78 1
set -x
@


1.9
log
@* replace '-arch arch' with '-m machine' (as per make(1)'s $MACHINE). e.g, i386
* add '-a arch' - $MACHINE_ARCH. e.g, m68k, powerpc
* replace long -options with short -options (with backward compat)
* ``knf''ify scripts
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.8 1997/11/27 11:05:25 jonathan Exp $
d65 2
a66 2
if [ -n "$@@" ]; then
	lists="$@@"
@


1.8
log
@Change ".tar.gz" tarball suffix to ".tgz", per release(7).
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.7 1997/11/09 20:47:32 chopps Exp $
d6 2
a7 2
# maketars [-arch arch] [-setd setsdir] [-dest destdir] \
#	[-tars tardir] [-x11] [setname ...]
d11 2
a12 1
arch=${MACHINE:-`uname -m`}
d14 1
a14 1
lists="base comp etc games man misc text"
d16 1
d21 1
a21 2
while :
do
d23 39
a61 8
	-arch)	arch=$2; shift;;
	-setd)	setd=$2; shift;;
	-dest)	dest=$2; shift;;
	-tars)	tars=$2; shift;;
	-both)	lists="$xlists $lists";;
	-x11)	lists=$xlists;;
	-*)	echo "bad option"; exit 1;;
	*)	break;;
d65 3
a67 1
[ "$@@" ] && lists="$@@"
d69 2
a70 2
[ "$tars" ] || {
	echo RELEASEDIR must be set
d72 1
a72 1
}
d74 2
a75 2
[ "$dest" ] || {
	echo DESTDIR must be set
d77 1
a77 1
}
d80 1
a80 2
for setname in $lists
do
d83 1
a83 1
	sh $setd/makeflist -arch $arch -setd $setd $setname |
@


1.7
log
@add -both arg for when one puts xsrc and src builds in same DESTDIR
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.6 1997/11/05 22:08:25 scottr Exp $
d52 1
a52 1
	  gzip -9 > ${tars}/$setname.tar.gz
@


1.6
log
@When deciding which md set lists to use, prefer $MACHINE over
uname -m
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.5 1997/10/28 17:29:48 veego Exp $
d26 1
@


1.5
log
@Add xcontrib to xlists.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.4 1997/10/28 13:35:24 veego Exp $
d11 1
a11 1
arch=`uname -m`
@


1.4
log
@Add a new option '-x11' for the xsets.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.3 1997/02/18 06:03:48 mikel Exp $
d14 1
a14 1
xlists="xbase xcomp xfont xserver"
@


1.3
log
@Feed makeflist to sh, instead of relying on x-bits; from Andrew
  Wheadon in PR 3116.
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.2 1996/05/20 19:11:05 gwr Exp $
d7 1
a7 1
#	[-tars tardir] [setname ...]
d14 1
d26 1
@


1.3.2.1
log
@Pull rev 1.4 up from trunk (veego)
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.4 1997/10/28 13:35:24 veego Exp $
d7 1
a7 1
#	[-tars tardir] [-x11] [setname ...]
a13 1
xlists="xbase xcomp xfont xserver"
a24 1
	-x11)	lists=$xlists;;
@


1.3.2.2
log
@Pull rev 1.5 up from trunk (veego)
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.3.2.1 1997/10/28 23:32:40 mellon Exp $
d14 1
a14 1
xlists="xbase xcomp xcontrib xfont xserver"
@


1.3.2.3
log
@Pull rev 1.6 up from trunk (scottr)
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.3.2.2 1997/10/29 00:15:20 mellon Exp $
d11 1
a11 1
arch=${MACHINE:-`uname -m`}
@


1.3.2.4
log
@Pull rev 1.7 up from trunk (chopps)
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.3.2.3 1997/11/06 22:16:13 mellon Exp $
a25 1
	-both)	lists="$xlists $lists";;
@


1.3.2.5
log
@Pull rev 1.8 up from trunk (jonathan)
@
text
@d3 1
a3 1
# $NetBSD: maketars,v 1.3.2.4 1997/11/09 21:05:11 mellon Exp $
d52 1
a52 1
	  gzip -9 > ${tars}/$setname.tgz
@


1.2
log
@More portable versions of makeflist and maketars that can be used to
cross-make a distribution.  Also avoid duplicating makeflist logic.
@
text
@d3 1
a3 1
# $NetBSD$
d47 1
a47 1
	$setd/makeflist -arch $arch -setd $setd $setname |
@


1.1
log
@Initial revision
@
text
@d1 30
a30 1
#!/bin/csh -f
d32 1
a32 1
if (! $?RELEASEDIR) then
d35 1
a35 1
endif
d37 1
a37 1
if (! $?DESTDIR) then
d40 1
a40 1
endif
d42 9
a50 31
set arch=`uname -m`
set listsdir=`pwd`/lists
set tardir=$RELEASEDIR
set fsdir=$DESTDIR

cd $fsdir

set lists=(base comp etc games text)
# SPECIAL: man misc
# EXTRA SPECIAL (not done here): secr

foreach setname ($lists)
	echo -n "${setname}: "
	cat $listsdir/$setname/mi $listsdir/$setname/md.${arch} | sort | \
	    pax -w -d | gzip -9 > ${tardir}/$setname.tar.gz
	echo    "done."
end

set setname=man
echo -n "${setname}: "
grep ${arch} $listsdir/man/md_share | \
    cat $listsdir/$setname/mi $listsdir/$setname/md.${arch} - | sort | \
    pax -w -d | gzip -9 > ${tardir}/$setname.tar.gz
echo    "done."

set setname=misc
echo -n "${setname}: "
grep -v ${arch} $listsdir/man/md_share | \
    cat $listsdir/$setname/mi $listsdir/$setname/md.${arch} - | sort | \
    pax -w -d | gzip -9 > ${tardir}/$setname.tar.gz
echo    "done."
@


1.1.1.1
log
@distribution sets contents lists
@
text
@@


1.1.1.1.2.1
log
@file maketars was added on branch netbsd-1-0 on 1994-08-29 15:21:04 +0000
@
text
@d1 43
@


1.1.1.1.2.2
log
@distribution sets contents lists
@
text
@a0 43
#!/bin/csh -f

if (! $?RELEASEDIR) then
	echo RELEASEDIR must be set
	exit 1
endif

if (! $?DESTDIR) then
	echo DESTDIR must be set
	exit 1
endif

set arch=`uname -m`
set listsdir=`pwd`/lists
set tardir=$RELEASEDIR
set fsdir=$DESTDIR

cd $fsdir

set lists=(base comp etc games text)
# SPECIAL: man misc
# EXTRA SPECIAL (not done here): secr

foreach setname ($lists)
	echo -n "${setname}: "
	cat $listsdir/$setname/mi $listsdir/$setname/md.${arch} | sort | \
	    pax -w -d | gzip -9 > ${tardir}/$setname.tar.gz
	echo    "done."
end

set setname=man
echo -n "${setname}: "
grep ${arch} $listsdir/man/md_share | \
    cat $listsdir/$setname/mi $listsdir/$setname/md.${arch} - | sort | \
    pax -w -d | gzip -9 > ${tardir}/$setname.tar.gz
echo    "done."

set setname=misc
echo -n "${setname}: "
grep -v ${arch} $listsdir/man/md_share | \
    cat $listsdir/$setname/mi $listsdir/$setname/md.${arch} - | sort | \
    pax -w -d | gzip -9 > ${tardir}/$setname.tar.gz
echo    "done."
@
